<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<logic:present name="usuario" scope="session">
	<div class="titles">Sus Consultas</div></br></br>
	<div class="textoseccion"><bean:message key="consulta.asociado.listado.texto1"/></div>
	<html:form action="/listarConsultas" >
		<html:hidden property="nombreVol" />
		<p style="text-align: center" class="textoMensaje">
			<html:messages id="mensaje" message="true">
				<bean:write name="mensaje" />
			</html:messages>
		</p>
		<html:hidden property="nombreVol"/>
		<div style="text-align: center">
			<fieldset class="etiqueta1"
				style="border: 1px solid grey; background-color: ffffff;">
				<legend class="cuestionario3">
					<b><bean:message
						key="consulta.detalle.pendientes" /></b>
				</legend>
				<display:table class="listado" export="false"
					name="sessionScope.listadoConsultasNoRespondidas" id="consulta"
					requestURI="/preparaListadoConsultas.do" pagesize="10" sort="list">
					<display:setProperty name="paging.banner.placement" value="bottom" />
					<display:column nulls="true" property="id" title="ID"
						sortable="true" />
					<display:column nulls="true" property="pregunta" title="Consulta"
						sortable="false" />
					<display:column media="html">
						<html:link action="/borrarRespuestaConsulta.do" titleKey="enlace.alt.borrar">
							<html:img page="/images/iconos/borrar.png" alt="Borrar"></html:img>
							<html:param name="id">
								<bean:write name="consulta" property="id" />
							</html:param>
						</html:link>
					</display:column>
				</display:table>
			</br></br></fieldset></br></br></br>
			<div class="textoseccion"><bean:message key="consulta.asociado.listado.texto2"/></div></br>
			<fieldset class="etiqueta1"
				style="border: 1px solid grey; background-color: ffffff;">
				<legend class="cuestionario3">
					<b><bean:message
						key="consulta.detalle.nopendientes" /></b>
				</legend>
				<display:table class="listado" export="false"
					name="sessionScope.listadoConsultasRespondidas" id="consulta"
					requestURI="/preparaListadoConsultas.do" pagesize="10" sort="list">
					<display:setProperty name="paging.banner.placement" value="bottom" />
					<display:column nulls="true" property="id" title="ID"
						sortable="true" />
					<display:column nulls="true" property="pregunta" title="Consulta"
						sortable="false" />
					<display:column nulls="true" property="respuesta" title="Respuesta"
						sortable="false" />
						<display:column nulls="true" property="fecRespuesta" title="Fecha"
						sortable="false" />
					<display:column media="html">
						<html:link action="/verRespuestaConsulta.do" titleKey="enlace.alt.ver">
							<html:img page="/images/iconos/ver.png" alt="Ver"></html:img>
							<html:param name="id">
								<bean:write name="consulta" property="id" />
							</html:param>
						</html:link>
					</display:column>
					<display:column media="html">
						<html:link action="/borrarRespuestaConsulta.do" titleKey="enlace.alt.borrar">
							<html:img page="/images/iconos/borrar.png" alt="Borrar"></html:img>
							<html:param name="id">
								<bean:write name="consulta" property="id" />
							</html:param>
						</html:link>
					</display:column>
				</display:table></br>
			</br></br></fieldset>
		</div>
		<br/>
		<div align="center">
		<input type="submit" name="nuevo" class="botonPreguntar" title="<bean:message key="enlace.alt.preguntar"/>"
							value="" />
		</div>
	</html:form>
</logic:present>
