<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<html:form action="/listarPD">
	<div class="titles">Personas atendidas por <bean:write name="listadoPDForm" property="nombreAsociacion"/></div><br/>
	<div class="textoseccion"><bean:message key="pd.general.texto"/></div>
	<div id="formulario" style="width: 96%;">
		<fieldset>
			<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="PD.listado.nombre" />
						</label>
						<html:text property="nombre" />
						<html:errors property="nombre" />
			</div>
			<br />
			<div align="center"><br/>
				<input type="submit" class="botonLupa" title="<bean:message key="PD.listado.filtrado"/>"
					value="" />
				<input type="submit" name="nuevo" class="botonNuevo" title="<bean:message key="PD.listado.nuevoPD"/>"
					value="" />
			</div>
		</fieldset>

	<p style="text-align: center" class="textoAviso">
		<span class="textoAviso"><html:errors property="mensajes_error" /></span>
	</p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensaje" message="true">
			<bean:write name="mensaje" />
		</html:messages>
	</p>
	<div align="center">
		<display:table id="listado" pagesize="8"
			name="sessionScope.listadoPD" export="false"
			class="listado" sort="list"
			requestURI="/preparaListadoPD.do">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column property="nombre" title="Nombre" sortable="true" titleKey="PD.listado.ordenarpornombre"
				nulls="true" />
			<display:column property="apellido1" title="Primer Apellido"
				sortable="true" nulls="true" titleKey="PD.listado.ordenarporapellido1"/>
			<display:column property="apellido2" title="Segundo Apellido"
				sortable="true" nulls="true" titleKey="PD.listado.ordenarporapellido2"/>
			<display:column media="html">
				<html:link action="/preparaVerPD.do"
					titleKey="enlace.alt.ver">
					<html:param name="id">
						<bean:write name="listado" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/ver.png" alt="Ver" />
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link action="/preparaPD.do"
					titleKey="enlace.alt.editar">
					<html:img border="1" page="/images/iconos/editar.png" alt="Editar"></html:img>
					<html:param name="id">
						<bean:write name="listado" property="id.id" />
					</html:param>
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link
					action="/preparaConfirmacion.do?Id_Confirmacion=4&atributo=id"
					titleKey="enlace.alt.borrar">
					<html:param name="id">
						<bean:write name="listado" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/borrar.png" alt="Borrar" />
				</html:link>
			</display:column>
		</display:table>
		<br/><br/>
	</div>
</div>
</html:form>