<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<logic:present name="usuario" scope="session"><%-- --%>

	<html:form action="/listarUsuario" >  <%-- --%>
		<div class="titles">Usuarios CiberVoluntariado</div>
		<div id="formulario" style="width: 96%">
			<fieldset>
				<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="usuario.listado.usuario" />
						</label>
						<html:text property="usuario" />
						<html:errors property="usuario" />
				</div>
				<br />
				<div style="text-align: center;">
					<div align="center"><br/>
						<input type="submit" class="botonLupa" title="<bean:message key="usuario.listado.enviar"/>"
							value="" />
						<input type="submit" name="nuevo" class="botonNuevo" title="<bean:message key="usuario.listado.nuevousuario"/>"
							value="" />
					</div>
				</div>
				<br />
			</fieldset>
		</div>
	</html:form>

	<p style="text-align: center" class="textoAviso"><html:errors property="mensaje_error"/></p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensajes" message="true">
			<bean:write name="mensajes" />
		</html:messages>
	</p>

	<div style="text-align: center">
		<display:table class="listado" export="false"
			name="sessionScope.listadoUsuario" id="usuario"
			requestURI="/preparaListadoUsuarios.do" pagesize="10" sort="list">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column nulls="true" property="login" title="Usuario"
				sortable="true" />
			<display:column nulls="true" property="nombre" title="Nombre"
				sortable="true" />
			<display:column nulls="true" property="apellido1"
				title="Primer Apellido" sortable="true" />
			<display:column nulls="true" property="apellido2"
				title="Segundo Apellido" sortable="true" />
			<display:column nulls="true" property="perfil" title="Perfil"
				sortable="true" />
		
			<display:column media="html">
				<html:link action="/preparaVerUsuario.do" titleKey="enlace.alt.ver">
					<html:img border="1" page="/images/iconos/ver.png" alt="Ver"></html:img>
					<html:param name="id">
						<bean:write name="usuario" property="id.idUsuario" />
					</html:param>
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link action="/preparaEditarUsuario.do"
					titleKey="enlace.alt.editar">
					<html:img page="/images/iconos/editar.png" alt="Editar"></html:img>
					<html:param name="id">
						<bean:write name="usuario" property="id.idUsuario" />
					</html:param>
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link
					action="/preparaConfirmacion.do?Id_Confirmacion=1&atributo=id"
					titleKey="enlace.alt.borrar">
					<html:param name="id">
						<bean:write name="usuario" property="id.idUsuario" />
					</html:param>
					<html:img page="/images/iconos/borrar.png" alt="Borrar" />
				</html:link>
			</display:column>
		</display:table>
	</div>
	
	<br/>
</logic:present> <%-- --%>
