<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<logic:present name="usuario" scope="session">
	<div class="titles">Voluntarios gestionados por <bean:write name="listadoVoluntarioForm" property="nombreAsociacion"/></div><br/><br/>
	<div class="textoseccion"><bean:message key="servicio.agendas.listado.texto"/></div>
	<html:form action="/listarVoluntarios" >
		<div id="formulario" style="width: 96%">
			<fieldset>
				<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="voluntario.listado.voluntario" />
						</label>
						<html:text property="nombreFiltro" />
						<html:errors property="nombreFiltro" />
				</div>
				<br />
				<div style="text-align: center;">
					<div align="center"><br/>
						<input type="submit" class="botonLupa" title="<bean:message key="voluntario.listado.filtrado"/>"
							value="" />
						<input type="submit" name="nuevo" class="botonNuevo" title="<bean:message key="voluntario.listado.nuevoVoluntario"/>"
							value="" />
					</div>
				</div>
				<br />
			</fieldset>
		</div>
	</html:form>

	<p style="text-align: center" class="textoAviso"><html:errors property="mensaje_error"/></p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensajes" message="true">
			<bean:write name="mensajes" />
		</html:messages>
	</p>

	<div style="text-align: center">
		<display:table class="listado" export="false"
			name="sessionScope.listadoVoluntarios" id="auxiliar"
			requestURI="/preparaListadoVoluntarios.do" pagesize="10" sort="list">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column nulls="true" property="login" title="Usuario"
				sortable="true" />
			<display:column nulls="true" property="nombre" title="Nombre"
				sortable="true" />
			<display:column nulls="true" property="apellido1"
				title="Primer Apellido" sortable="true" />
			<display:column nulls="true" property="apellido2"
				title="Segundo Apellido" sortable="true" />
		
			<display:column media="html">
				<html:link action="/preparaVerVoluntario.do" titleKey="enlace.alt.ver">
					<html:img border="1" page="/images/iconos/ver.png" alt="Ver"></html:img>
					<html:param name="id">
						<bean:write name="auxiliar" property="id.id" />
					</html:param>
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link action="/preparaVoluntario.do"
					titleKey="enlace.alt.editar">
					<html:img page="/images/iconos/editar.png" alt="Editar"></html:img>
					<html:param name="id">
						<bean:write name="auxiliar" property="id.id" />
					</html:param>
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link
					action="/preparaConfirmacion.do?Id_Confirmacion=3&atributo=id"
					titleKey="enlace.alt.borrar">
					<html:param name="id">
						<bean:write name="auxiliar" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/borrar.png" alt="Borrar" />
				</html:link>
			</display:column>
		</display:table>
	</div>
	
	<br/>
</logic:present>
