<%@ page language="java" pageEncoding="UTF-8"%>

<%@ include file="directivas.jsp" %>
<div class="titles">Ver Datos Asociado</div><br/><br/>
<html:form action="/verPD">
	<div id="formulario" style="width: 98.75%; margin-left: 0px; ">
		<br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.dni"/></label>
			</div>
			<div class="columna2">
				<html:text property="dni" readonly="true"/><html:errors property="dni"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.nombre"/></label>
			</div>
			<div class="columna2">
				<html:text property="nombre" readonly="true"/><html:errors property="nombre"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label>Apellido 1</label>
			</div>
			<div class="columna2">
				<html:text property="apellido1" readonly="true"/><html:errors property="apellido1"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label>Apellido 2</label>
			</div>
			<div class="columna2">
				<html:text property="apellido2" readonly="true"/><html:errors property="apellido2"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.direccion"/></label>
			</div>
			<div class="columna2">
				<html:text property="direccion" readonly="true"/><html:errors property="direccion"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">	
			<div class="columna1" >
				<label><bean:message key="PD.detalle.fecha_nacimiento"/></label>
			</div>
			<div class="columna2">
				<html:text property="fecha_nacimiento" maxlength="50"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.localidad"/></label>
			</div>
			<div class="columna2">
				<html:select property="localidad" disabled="true">
					<html:option value=""><bean:message key="formulario.select.localidad" /></html:option>
					<html:options collection="listadoLocalidades" property="id" labelProperty="nombre" />
				</html:select><br/>
				<html:errors property="localidad"/>
			</div><br/>
		</div>
	</div><br/>
	<div id="formulario" style="width: 98.75%; margin-left: 0px; ">
		<br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.discapacidad"/></label>
			</div>
			<div class="columna2">
				<html:text property="discapacidad" readonly="true"/><html:errors property="discapacidad"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.causa_baja"/></label>
			</div>
			<div class="columna2">
				<html:text property="causa_baja" readonly="true"/><html:errors property="causa_baja"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.sexo"/></label>
			</div>			
			<div class="columna2">
				<html:radio property="sexo" value="H" disabled="true"/><bean:message key="PD.detalle.sexo.hombre"/>				
				<html:radio property="sexo" value="M" disabled="true"/><bean:message key="PD.detalle.sexo.mujer"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.estado_civil"/></label>
			</div>
			<div class="columna2">
				<html:text property="estado_civil" readonly="true"/><html:errors property="estado_civil"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1">
				<label for="etiqueta1">
					<bean:message key="usuario.formulario.telefono" />
				</label>
			</div>
			<div class="columna2" >
				<html:text property="telefono" readonly="true" maxlength="50" />
				&nbsp;&nbsp;
				<span class="textoAviso"><html:errors property="telefono" />&nbsp;&nbsp;
				</span>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="PD.detalle.puede_firmar"/></label>
			</div>			
			<div class="columna2">
				<html:checkbox style="border: none" property="puede_firmar" disabled="true"/><html:errors property="puede_firmar"/>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1">
					<label for="etiqueta1">
						<bean:message key="usuario.formulario.email" />
					</label>
				</div>
				<div class="columna2" >
					<html:text property="email" readonly="true" maxlength="50" />
					&nbsp;&nbsp;
					<span class="textoAviso"><html:errors property="email" />&nbsp;&nbsp;
					</span>
				</div>
			</div><br/>
	</div>
	<div align="center"><br/>
			<input type="submit" class="botonVolver" name="volver" title="<bean:message key="PD.detalle.cancelar"/>"
					value="" />
	</div><br/><br/>
</html:form>