<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp" %>

<html:form action="/verVoluntario">
<html:hidden property="id_persona"/><html:errors property="id_persona"/>
<html:hidden property="id"/><html:errors property="id"/>
<html:hidden property="id_usuario"/><html:errors property="id_usuario"/>
	<div class="titles">Ver Datos Voluntarios </div><br/><br/>
	<fieldset class="etiqueta1"
		style="border: 1px solid grey;  background-color: ffffff;">
		<legend class="cuestionario3">
			<b><bean:message
						key="voluntario.detalle.voluntario" />
		</legend>
		<div id="formulario" style="width: 98.75%; margin-left: 0px; ">
		<br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.dni"/> *</label>
				</div>
				<div class="columna2">
					<html:text property="dni" readonly="true" maxlength="10"/> <span class="textoAviso"><html:errors property="dni"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.nombre"/> *</label>
				</div>
				<div class="columna2">
					<html:text property="nombre" readonly="true" maxlength="50"/> <span class="textoAviso"><html:errors property="nombre"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.apellido1"/> *</label>
				</div>
				<div class="columna2">
					<html:text property="apellido1" readonly="true" maxlength="50"/> <span class="textoAviso"><html:errors property="apellido1"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.apellido2"/></label>
				</div>
				<div class="columna2">
					<html:text property="apellido2" readonly="true" maxlength="50" /> <span class="textoAviso"><html:errors property="apellido2"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.disponible"/></label>
				</div>
				<div class="columna2">
					<html:radio disabled="true" property="radio_disponible" value="Si">Si</html:radio>
					<html:radio disabled="true" property="radio_disponible" value="No">No</html:radio>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.direccion"/></label>
				</div>
				<div class="columna2">
					<html:text property="direccion" readonly="true" maxlength="50"/> <span class="textoAviso"><html:errors property="direccion"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="auxiliar.detalle.localidad"/></label>
				</div>
				<div class="columna2">
					<html:select property="localidad" disabled="true">
						<html:option value=""><bean:message key="formulario.select.localidad" /></html:option>
						<html:options collection="listadoLocalidades" property="id" labelProperty="nombre" />
					</html:select>
					<span class="textoAviso"><html:errors property="localidad"/></span>
				</div>			
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1" >
					<label><bean:message key="PD.detalle.fecha_nacimiento"/></label>
				</div>
				<div class="columna2">
					<html:text property="fecha_nacimiento" readonly="true" maxlength="50"/>
					<span class="textoAviso"><html:errors property="fecha_nacimiento"/></span>
				</div>			
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1">
					<label><bean:message key="auxiliar.detalle.telefono"/></label>
				</div>
				<div class="columna2">
					<html:text property="telefono" readonly="true" maxlength="50"/> <span class="textoAviso"><html:errors property="telefono"/></span>
				</div>
			</div><br/>
			<div class="lineaFormulario" style="width: 100%; ">
				<div class="columna1">
					<label for="etiqueta1">
						<bean:message key="usuario.formulario.email" />
					</label>
				</div>
				<div class="columna2" >
					<html:text property="email" readonly="true" maxlength="50" />
					&nbsp;&nbsp;
					<span class="textoAviso"><html:errors property="email" />&nbsp;&nbsp;
					</span>
				</div>
			</div><br/>
		</div>
	</fieldset><br/>
	<div style="text-align:center; height:150px;">
			<fieldset class="etiqueta1"
				style="border: 1px solid #006400; width: 90%; margin-left: 5%;">
				<legend class="cuestionario3">
					<b><bean:message
								key="voluntario.detalle.pds2" /> </b>
				</legend>	
				
					<div style="border: medium;">
						<div class="ncuestionario"><bean:message key="voluntario.detalle.PDasignados"/>
						</div>
						<html:select disabled="true" property="PD_asignados" multiple="true" size="6" style="width:250px;align:center;height:150px;">
								<html:options collection="listadoPDAsignados"
								property="id" labelProperty="persona.nombre_apellidos" style="font-size:15;"/>
						</html:select>
					</div>
				<br/>
			</fieldset>
		</div><br><br>
	<div align="center"><br/><br/><br/><br/><br/><br/>
			<input type="submit" name="volver" class="botonVolver" title="<bean:message key="voluntario.detalle.cancelar"/>"
							value="" />
	</div><br />
</html:form>