package action;

import hibernate.Consulta;
import hibernate.ConsultaDAO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.hibernate.Session;
import org.hibernate.Transaction;

import hibernate.HibernateSessionFactory;
import form.ConsultaForm;

public class BorrarRespuestaConsultaAction extends Action {
	/*
	 * Generated Methods
	 */

	/** 
	 * Method execute
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {

		ConsultaForm cForm = (ConsultaForm) form;
		// Gestor de mensajes
		ActionMessages mensaje = new ActionMessages();
		
		if (request.getParameter("id") != null) {
			
			ConsultaDAO cDAO = new ConsultaDAO();
			Session sesion = HibernateSessionFactory.getSession();
			Transaction tx = sesion.beginTransaction();
			Consulta c = cDAO.findById(Integer.parseInt(request.getParameter("id").toString()));
			String fecha = c.getFecAlta().toLocaleString();
			cDAO.delete(c);
			tx.commit();
			sesion.close();
			
			// Introducimos el mensaje
			mensaje.add("mensaje", new ActionMessage("consulta.borrado", fecha));
			this.saveMessages(request, mensaje);
			return mapping.findForward("success");
			
		} else {
			return mapping.findForward("fail");
		}
	}
}