
package action;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.hibernate.Criteria;
import org.hibernate.criterion.Restrictions;

import hibernate.HibernateSessionFactory;
import hibernate.VistaInformePd;
import form.InformesForm;


public class ListarInformePDAction extends Action {
	/*
	 * Generated Methods
	 */

	private static Log logs = LogFactory.getLog(ListarInformePDAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		InformesForm informesForm = (InformesForm) form;
		// Errores
		ActionErrors mensajes = new ActionErrors();
		
		try {
			
			if (this.isCancelled(request)) {
				return mapping.findForward("cancel");
			}
			// Criteria
			Criteria c = HibernateSessionFactory.getSession().createCriteria(
					VistaInformePd.class);
			// Por nombre
			if ((informesForm.getNombre() != null)
					&& (!informesForm.getNombre().equals(""))) {

				c.add(Restrictions.or(Restrictions.ilike("nombrepd",
						"%"	+ informesForm.getNombre() + "%"),
							Restrictions.ilike("apellido1pd", "%"
												+ informesForm.getNombre() + "%")));	
			 } else { 
	           
	         } 
						
			Collection<VistaInformePd> listaPD = c.list();
			request.getSession().setAttribute("listadoPD", listaPD);
			
			return mapping.findForward("success");
			
		} catch (Exception e) {
			e.printStackTrace();
			logs.error("Se ha producido un error al generar el informe");
			return mapping.findForward("fail");
		}
	}
}