
package action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import form.ConfirmarForm;

public class PreparaConfirmacionAction extends Action {

	private static Log log = LogFactory.getLog(PreparaConfirmacionAction.class);
	

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {

		ConfirmarForm confirmarForm = (ConfirmarForm) form; 
		ActionErrors mensajes = new ActionErrors();
		ActionMessages msg = new ActionMessages();
			
		try {	

			String strNombreAtributo = request.getParameter("atributo");
			String strIdVoluntario = request.getParameter("idVoluntario");
			String strValorAtributo = request.getParameter(strNombreAtributo);
			String strIdConfirmacion = request.getParameter("Id_Confirmacion");
			
			confirmarForm.setId_confirmacion(strIdConfirmacion);
			confirmarForm.setIdVoluntario(strIdVoluntario);
			confirmarForm.setNombre_atributo(strNombreAtributo);
			confirmarForm.setValor_atributo(strValorAtributo);
			
			return mapping.findForward("success");
			
		} catch (Exception e) {
			e.printStackTrace();
			mensajes.add("errores", new ActionMessage("usuario.error.grabar.generico"));
			this.saveErrors(request, mensajes);
			return mapping.findForward("fail");
		}	
	}
	
}