
package action;

import form.CuestionarioForm;
import hibernate.CuestionarioEstadoEconomico;
import hibernate.CuestionarioEstadoEconomicoDAO;
import hibernate.CuestionarioEstadoFamiliar;
import hibernate.CuestionarioEstadoFamiliarDAO;
import hibernate.CuestionarioEstadoFisico;
import hibernate.CuestionarioEstadoFisicoDAO;
import hibernate.CuestionarioEstadoPsiquico;
import hibernate.CuestionarioEstadoPsiquicoDAO;
import hibernate.PersonaDependiente;
import hibernate.PersonaDependienteDAO;
import hibernate.PreguntaEstadoEconomico;
import hibernate.PreguntaEstadoEconomicoDAO;
import hibernate.PreguntaEstadoFamiliar;
import hibernate.PreguntaEstadoFamiliarDAO;
import hibernate.PreguntaEstadoFisico;
import hibernate.PreguntaEstadoFisicoDAO;
import hibernate.PreguntaEstadoPsiquico;
import hibernate.PreguntaEstadoPsiquicoDAO;
import hibernate.RespuestaEstadoEconomico;
import hibernate.RespuestaEstadoFamiliar;
import hibernate.RespuestaEstadoFisico;
import hibernate.RespuestaEstadoPsiquico;

import java.util.Collection;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


public class PreparaHacerCuestionarioAction extends Action {

	private static Log log = LogFactory.getLog(PreparaHacerCuestionarioAction.class);
	
	public boolean respondido(String[] a) {
		boolean res = false;
		for (int i=0;i<a.length;i++) {
			if (a[i]!=null) {
				res = true;
			}
		}
		return res;
	}
	
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		try {	
			
			CuestionarioForm cuestionarioForm = (CuestionarioForm) form;
			
			// tab y subpaneles
			if (request.getParameter("tab") != null) {
				request.setAttribute("tab", request.getParameter("tab"));
			}
			if (request.getParameter("panel") != null) {
				request.setAttribute("panel", request.getParameter("panel"));
			}
			
			if (request.getAttribute("tab") != null) {
				request.setAttribute("tab", request.getAttribute("tab"));
			}
			if (request.getAttribute("panel") != null) {
				request.setAttribute("panel", request.getAttribute("panel"));
			}
			
			// Listados de preguntas para cuestionarios
			// Psiquico
			PreguntaEstadoPsiquicoDAO pepDAO = new PreguntaEstadoPsiquicoDAO();
			Collection<PreguntaEstadoPsiquico> listadopreguntaspsiquico = pepDAO.findAll();
			request.setAttribute("psiquicas", listadopreguntaspsiquico);
			Integer puntuacionpsiquicas = 0;
			// Fisico
			PreguntaEstadoFisicoDAO pefDAO = new PreguntaEstadoFisicoDAO();
			Collection<PreguntaEstadoFisico> listadopreguntasfisico = pefDAO.findAll(); // new ArrayList<PreguntaEstadoFisico>();
			request.setAttribute("fisicas", listadopreguntasfisico);
			Integer puntuacionfisicas = 0;
			// Economico
			PreguntaEstadoEconomicoDAO peeDAO = new PreguntaEstadoEconomicoDAO();
			Collection<PreguntaEstadoEconomico> listadopreguntaseconomico = peeDAO.findAll(); // new ArrayList<PreguntaEstadoEconomico>();
			request.setAttribute("economicas", listadopreguntaseconomico);
			Integer puntuacioneconomicas = 0;
			//  Familiar
			PreguntaEstadoFamiliarDAO pefaDAO = new PreguntaEstadoFamiliarDAO();
			Collection<PreguntaEstadoFamiliar> listadopreguntasfamiliar = pefaDAO.findAll(); // new ArrayList<PreguntaEstadoFamiliar>();
			request.setAttribute("familiares", listadopreguntasfamiliar);
			Integer puntuacionfamiliares = 0;
			
			cuestionarioForm.setTab("tab1");
			cuestionarioForm.setPanel("panel1");
			// RESPUESTAS
			// Recibimos id de la PD
			if ((request.getParameter("id") != null) && (!"".equals(request.getParameter("id").toString()))) {
				PersonaDependienteDAO pdDAO = new PersonaDependienteDAO();
				PersonaDependiente pd = pdDAO.findById(Integer.parseInt(request.getParameter("id").toString()));
				cuestionarioForm.setId_persona(request.getParameter("id").toString());
				// cargamos nombre
				cuestionarioForm.setNombre(pd.getPersona().getNombre_apellidos());
				// Cargamos Cuestionarios
				// Fisico
				String[] pf = new String[listadopreguntasfisico.size()];
				if (pd.getCuestionarioEstadoFisico() != null) {
					if ((pd.getCuestionarioEstadoFisico().getId() != null) && 
							(!pd.getCuestionarioEstadoFisico().getId().toString().equals(""))) {
						CuestionarioEstadoFisicoDAO cefDAO = new CuestionarioEstadoFisicoDAO();
						CuestionarioEstadoFisico cef = cefDAO.findById(Integer.parseInt(pd.getCuestionarioEstadoFisico().getId().toString()));
						Collection<RespuestaEstadoFisico> listadorespuestasfisico = cef.getRespuestaEstadoFisicos();
						if (!listadorespuestasfisico.isEmpty()) {
							Iterator<RespuestaEstadoFisico> itf = listadorespuestasfisico.iterator();
							int i = 0;
							while (itf.hasNext()) {
								RespuestaEstadoFisico elem = itf.next();
								if ((elem.getPuntuacion() != null) && (!"".equals(elem.getPuntuacion().toString()))) {
									puntuacionfisicas += elem.getPuntuacion();
									pf[elem.getPreguntaEstadoFisico().getId() - 1] = elem.getPuntuacion().toString();					
								} else {
									pf[elem.getPreguntaEstadoFisico().getId() - 1] = null;
								}
								i++;
							}						
						} else {
							// No Hay Respuestas
							for (int i=0;i<listadopreguntasfisico.size();i++) {
								pf[i] = null;
							}
						}
						cuestionarioForm.setPf(pf);
						if (respondido(pf))
							cuestionarioForm.setPuntuacionfisicas(puntuacionfisicas.toString());
						else
							cuestionarioForm.setPuntuacionfisicas(null);
					}
				} else {
					// No Hay Respuestas
					for (int i=0;i<listadopreguntasfisico.size();i++) {
						pf[i] = null;
					}
					cuestionarioForm.setPuntuacionfisicas(null);
				}
				cuestionarioForm.setPf(pf);
				
				// Psiquico
				String[] pp = new String[listadopreguntaspsiquico.size()];
				if (pd.getCuestionarioEstadoPsiquico() != null) {
					if ((pd.getCuestionarioEstadoPsiquico().getId() != null) 
							&& (!pd.getCuestionarioEstadoPsiquico().getId().toString().equals(""))) {
						CuestionarioEstadoPsiquicoDAO cepDAO = new CuestionarioEstadoPsiquicoDAO();
						CuestionarioEstadoPsiquico cep = cepDAO.findById(Integer.parseInt(pd.getCuestionarioEstadoPsiquico().getId().toString()));
						Collection<RespuestaEstadoPsiquico> listadorespuestaspsiquico = cep.getRespuestaEstadoPsiquicos();
						if (!listadorespuestaspsiquico.isEmpty()) {
							// Hay Respuestas
							Iterator<RespuestaEstadoPsiquico> itf = listadorespuestaspsiquico.iterator();						
							while (itf.hasNext()) {
								RespuestaEstadoPsiquico elem = itf.next();
								if ((elem.getPuntuacion() != null) && (!"".equals(elem.getPuntuacion().toString()))) {
									puntuacionpsiquicas += elem.getPuntuacion();
									pp[elem.getPreguntaEstadoPsiquico().getId()-1] = elem.getPuntuacion().toString();					
								} else {
									pp[elem.getPreguntaEstadoPsiquico().getId()-1] = null;
								}
							}
							
						} else {
							// No Hay Respuestas
							for (int i=0;i<listadopreguntaspsiquico.size();i++) {
								pp[i] = null;
							}
						}
						cuestionarioForm.setPp(pp);
						if (respondido(pp))
							cuestionarioForm.setPuntuacionpsiquicas(puntuacionpsiquicas.toString());
						else
							cuestionarioForm.setPuntuacionpsiquicas(null);
					}
				} else {
					// No Hay Respuestas
					for (int i=0;i<listadopreguntaspsiquico.size();i++) {
						pp[i] = null;
					}
					cuestionarioForm.setPuntuacionpsiquicas(null);
				}
				cuestionarioForm.setPp(pp);
				
				// Familiar
				String[] pfa = new String[listadopreguntasfamiliar.size()];
				if (pd.getCuestionarioEstadoFamiliar() != null) {
					if ((pd.getCuestionarioEstadoFamiliar().getId() != null) 
							&& (!pd.getCuestionarioEstadoFamiliar().getId().toString().equals(""))) {
						CuestionarioEstadoFamiliarDAO cefaDAO = new CuestionarioEstadoFamiliarDAO();
						CuestionarioEstadoFamiliar cefa = cefaDAO.findById(Integer.parseInt(pd.getCuestionarioEstadoFamiliar().getId().toString()));
						Collection<RespuestaEstadoFamiliar> listadorespuestasfamiliar = cefa.getRespuestaEstadoFamiliars();
						if (!listadorespuestasfamiliar.isEmpty()) {
							Iterator<RespuestaEstadoFamiliar> itf = listadorespuestasfamiliar.iterator();
							while (itf.hasNext()) {
							RespuestaEstadoFamiliar elem = itf.next();
								if ((elem.getPuntuacion() != null) && (!"".equals(elem.getPuntuacion().toString()))) {
									puntuacionfamiliares += elem.getPuntuacion();
									pfa[elem.getPreguntaEstadoFamiliar().getId()-1] = elem.getPuntuacion().toString();					
								} else {
									pfa[elem.getPreguntaEstadoFamiliar().getId()-1] = null;
								}
							} 
						} else {
							// No Hay Respuestas
							for (int i=0;i<listadopreguntaspsiquico.size();i++) {
								pfa[i] = null;
							}
						}
						cuestionarioForm.setPfa(pfa);
						if (respondido(pfa))
							cuestionarioForm.setPuntuacionfamiliares(puntuacionfamiliares.toString());
						else
							cuestionarioForm.setPuntuacionfamiliares(null);
					}
				} else {
					// No Hay Respuestas
					for (int i=0;i<listadopreguntasfamiliar.size();i++) {
						pfa[i] = null;
					}
					cuestionarioForm.setPuntuacionfamiliares(null);
				}
				cuestionarioForm.setPfa(pfa);
				
				// Economico
				String[] pe = new String[listadopreguntaseconomico.size()];
				if (pd.getCuestionarioEstadoEconomico() != null) {
					if ((pd.getCuestionarioEstadoEconomico().getId() != null) 
							&& (!pd.getCuestionarioEstadoEconomico().getId().toString().equals(""))) {
						CuestionarioEstadoEconomicoDAO ceeDAO = new CuestionarioEstadoEconomicoDAO();
						CuestionarioEstadoEconomico cee = ceeDAO.findById(Integer.parseInt(pd.getCuestionarioEstadoEconomico().getId().toString()));
						Collection<RespuestaEstadoEconomico> listadorespuestaseconomico = cee.getRespuestaEstadoEconomicos();					
						if (!listadorespuestaseconomico.isEmpty()) {
							Iterator<RespuestaEstadoEconomico> itf = listadorespuestaseconomico.iterator();
							while (itf.hasNext()) {
								RespuestaEstadoEconomico elem = itf.next();
								if ((elem.getPuntuacion() != null) && (!"".equals(elem.getPuntuacion().toString()))) {
									pe[elem.getPreguntaEstadoEconomico().getId()-1] = elem.getPuntuacion().toString();
									puntuacioneconomicas += elem.getPuntuacion();
								} else {
									pe[elem.getPreguntaEstadoEconomico().getId()-1] = null;
								}
							}
						} else {
							// No Hay Respuestas
							for (int i=0;i<listadorespuestaseconomico.size();i++) {
								pe[i] = null;
							}
						}
						cuestionarioForm.setPe(pe);
						if (respondido(pe))
							cuestionarioForm.setPuntuacioneconomicas(puntuacioneconomicas.toString());
						else
							cuestionarioForm.setPuntuacioneconomicas(null);
					}
				} else {
					// No Hay Respuestas
					for (int i=0;i<listadopreguntaseconomico.size();i++) {
						pe[i] = null;
					}
				}
				cuestionarioForm.setPe(pe);
			}
			
			return mapping.findForward("success");
			
		} catch (Exception e) {
			log.warn("Error inesperado en el proceso de carga de cuestionarios");
			e.printStackTrace();
			return mapping.findForward("fail");	
		}
	}
}