
package action;

import hibernate.VistaAsociacionDAO;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import form.ListadoAsociacionForm;


public class PreparaListadoAsociacionAction extends Action {
	
	private static Log logs = LogFactory.getLog(PreparaListadoAsociacionAction.class);

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		ListadoAsociacionForm listadoAsociacionForm = (ListadoAsociacionForm) form;
		// Error
		ActionErrors mensajes = new ActionErrors();
		
		try {
			
			VistaAsociacionDAO vistaAsoDAO = new VistaAsociacionDAO();
			Collection<VistaAsociacionDAO> listaAsociacion = vistaAsoDAO.findAll();
			
			request.getSession().setAttribute("listadoAsociacion", listaAsociacion);
			
			return mapping.findForward("success");
			
		} catch (Exception e) {
			e.printStackTrace();
			logs.error("Se ha producido un error al listar las asociaciones");
			return mapping.findForward("fail");
		}
	}
}