package action;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.hibernate.JDBCException;

import hibernate.Perfil;
import hibernate.PerfilDAO;

public class PreparaListadoPerfilAction extends Action {

	private static Log logs = LogFactory.getLog(PreparaListadoPerfilAction.class);
	

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		// errores
		ActionErrors mensajes = new ActionErrors();
		
		try {
			
			// usuario
			PerfilDAO listadoPerfilDAO = new PerfilDAO();
			// todos los usuarios
			Collection<Perfil> listaPerfil = listadoPerfilDAO.findAll();
			request.getSession().setAttribute("listadoPerfil", listaPerfil);
			
			return mapping.findForward("success");
			
		} catch (JDBCException e) {
			throw e;
		} catch (Exception e) {
			e.printStackTrace();
			logs.error("Se ha producido un error al listar los usuarios");
			throw e;
		}
	}
	
}