
package action;

import form.ListadoAgendaForm;
import hibernate.Auxiliar;
import hibernate.AuxiliarDAO;
import hibernate.VistaServicio;
import hibernate.VistaServicioDAO;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class PreparaNuevaTareaVoluntarioAction extends Action {

	private static Log logs = LogFactory.getLog(PreparaNuevaTareaVoluntarioAction.class);


	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		try {
			
			ListadoAgendaForm listadoAgendaForm = (ListadoAgendaForm) form;
			
			if (request.getParameter("volver") != null) {
				return mapping.findForward("volver");
			}
			if (request.getParameter("volverVoluntario") != null) {
				return mapping.findForward("volverVoluntario");
			}
			if (request.getParameter("nuevaTarea") != null) {
				if ((request.getParameter("idVoluntario")!=null) &&
						(!"".equals(request.getParameter("idVoluntario").toString()))) {
					request.setAttribute("idVoluntario", request.getParameter("idVoluntario"));
					return mapping.findForward("nuevaTarea");
				}
			}
			String idvol = null;
			if (request.getParameter("idVoluntario")!=null)
				idvol = request.getParameter("idVoluntario").toString();
			else if (request.getAttribute("idVoluntario")!=null)
				idvol = request.getAttribute("idVoluntario").toString();
			else if (request.getSession().getAttribute("idVoluntario")!=null)
				idvol = request.getSession().getAttribute("idVoluntario").toString();
			if (idvol != null) {
				VistaServicioDAO vistaAgendaDAO = new VistaServicioDAO();
				Collection<VistaServicio> listaLunes = vistaAgendaDAO.findAllporDia(idvol,"1");
				Collection<VistaServicio> listaM = vistaAgendaDAO.findAllporDia(idvol,"2");
				Collection<VistaServicio> listaX = vistaAgendaDAO.findAllporDia(idvol,"3");
				Collection<VistaServicio> listaJ = vistaAgendaDAO.findAllporDia(idvol,"4");
				Collection<VistaServicio> listaV = vistaAgendaDAO.findAllporDia(idvol,"5");
				
				request.getSession().setAttribute("listadoAgendaVoluntarioL", listaLunes);
				request.getSession().setAttribute("listadoAgendaVoluntarioM", listaM);
				request.getSession().setAttribute("listadoAgendaVoluntarioX", listaX);
				request.getSession().setAttribute("listadoAgendaVoluntarioJ", listaJ);
				request.getSession().setAttribute("listadoAgendaVoluntarioV", listaV);
				
			} else if ((listadoAgendaForm.getIdVoluntario()!=null) 
						&& (!"".equals(listadoAgendaForm.getIdVoluntario().toString()))) {
					VistaServicioDAO vistaAgendaDAO = new VistaServicioDAO();
					Collection<VistaServicio> listaLunes = vistaAgendaDAO.findAllporDia(
							listadoAgendaForm.getIdVoluntario(),"1");
					Collection<VistaServicio> listaM = vistaAgendaDAO.findAllporDia(
							listadoAgendaForm.getIdVoluntario(),"2");
					Collection<VistaServicio> listaX = vistaAgendaDAO.findAllporDia(
							listadoAgendaForm.getIdVoluntario(),"3");
					Collection<VistaServicio> listaJ = vistaAgendaDAO.findAllporDia(
							listadoAgendaForm.getIdVoluntario(),"4");
					Collection<VistaServicio> listaV = vistaAgendaDAO.findAllporDia(
							listadoAgendaForm.getIdVoluntario(),"5");
					
					request.getSession().setAttribute("listadoAgendaVoluntarioL", listaLunes);
					request.getSession().setAttribute("listadoAgendaVoluntarioM", listaM);
					request.getSession().setAttribute("listadoAgendaVoluntarioX", listaX);
					request.getSession().setAttribute("listadoAgendaVoluntarioJ", listaJ);
					request.getSession().setAttribute("listadoAgendaVoluntarioV", listaV);
					// Nombre del Voluntario
					AuxiliarDAO volDAO = new AuxiliarDAO();
					Auxiliar vol = volDAO.findById(Integer.parseInt(listadoAgendaForm.getIdVoluntario()));
					request.setAttribute("nombreVoluntario", vol.getUsuario().getPersona().getNombre_apellidos());
					listadoAgendaForm.setNombreVoluntario(" " + vol.getUsuario().getPersona().getNombre_apellidos());
					// exito
					return mapping.findForward("successVoluntario");
			}
			// Nombre del Voluntario
			AuxiliarDAO volDAO = new AuxiliarDAO();
			String idvol2 = null;
			if (request.getParameter("idVoluntario")!=null)
				idvol2 = request.getParameter("idVoluntario").toString();
			else if (request.getAttribute("idVoluntario")!=null)
				idvol2 = request.getAttribute("idVoluntario").toString();
			else if (request.getSession().getAttribute("idVoluntario")!=null)
				idvol2 = request.getSession().getAttribute("idVoluntario").toString();
			Auxiliar vol = volDAO.findById(Integer.parseInt(idvol2));
			request.setAttribute("nombreVoluntario", vol.getUsuario().getPersona().getNombre_apellidos());
			listadoAgendaForm.setNombreVoluntario(" " + vol.getUsuario().getPersona().getNombre_apellidos());
			return mapping.findForward("success");
		} catch (Exception e) {
			logs.warn("Error inesperado en el proceso de creacion de la agenda del Voluntario");
			e.printStackTrace();
			return mapping.findForward("fail");	
		}

}
}