
package action;

import form.ConsultaForm;
import hibernate.Consulta;
import hibernate.ConsultaDAO;
import hibernate.PersonaDependiente;
import hibernate.PersonaDependienteDAO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class PreparaResponderConsultaAction extends Action {

	private static Log log = LogFactory.getLog(PreparaResponderConsultaAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		ConsultaForm cform = (ConsultaForm) form;
		
		try {
			ConsultaDAO cDAO = new ConsultaDAO();
			PersonaDependienteDAO pdDAO = new PersonaDependienteDAO();
			if (request.getParameter("id") != null) {
				Consulta c = cDAO.findById(Integer.parseInt(request.getParameter("id").toString()));
				cform.setPregunta(c.getPregunta());
				cform.setRespuesta("");
				cform.setId(c.getId().toString());
				// Buscamos Asociado
				PersonaDependiente pd = c.getPersonaDependiente();
				cform.setNombreAso(pd.getPersona().getNombre_apellidos());
				return mapping.findForward("success");
			}
			
			return mapping.findForward("fail");
		} catch (Exception e) {
			log.warn("Error inesperado en el proceso de realizar consultas");
			e.printStackTrace();
			return mapping.findForward("fail");	
		}
	}
}