
package action;

import hibernate.Usuario;
import hibernate.UsuarioDAO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.hibernate.JDBCException;

import form.ClaveForm;

public class RecordarClaveAction extends Action {

	private static Log logs = LogFactory.getLog(RecordarClaveAction.class);


	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws JDBCException, Exception {
		
		ClaveForm claveForm = (ClaveForm) form;
		
		try {
			
			if (request.getParameter("volver") != null) {
				return mapping.findForward("volver");
			}
			if ((claveForm.getUsuario() != null) 
					&& (!"".equals(claveForm.getUsuario()))) {
				UsuarioDAO userDAO = new UsuarioDAO();
				Usuario u = (Usuario)userDAO.findByLogin(claveForm.getUsuario()).get(0);
				if (u != null) {
					if ((u.getPersona().getEmail() != null) 
							&& (!"".equals(u.getPersona().getEmail()))) {
						
					}
				}
			}
			return mapping.findForward("success");	
			
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
			
		}
	}
}