package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractAuxiliar entity provides the base persistence definition of the
 * Auxiliar entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractAuxiliar implements java.io.Serializable {

	// Fields

	private Integer id;
	private Usuario usuario;
	private Asociacion asociacion;
	private Boolean disponible;

	// Constructors

	/** default constructor */
	public AbstractAuxiliar() {
	}

	/** minimal constructor */
	public AbstractAuxiliar(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractAuxiliar(Integer id, Usuario usuario, Asociacion asociacion,
			Boolean disponible) {
		this.id = id;
		this.usuario = usuario;
		this.asociacion = asociacion;
		this.disponible = disponible;

	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Usuario getUsuario() {
		return this.usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	public Asociacion getAsociacion() {
		return this.asociacion;
	}

	public void setAsociacion(Asociacion asociacion) {
		this.asociacion = asociacion;
	}

	public Boolean getDisponible() {
		return this.disponible;
	}

	public void setDisponible(Boolean disponible) {
		this.disponible = disponible;
	}


}