package hibernate;

import java.util.Date;

/**
 * AbstractConsulta entity provides the base persistence definition of the
 * Consulta entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractConsulta implements java.io.Serializable {

	// Fields

	private Integer id;
	private PersonaDependiente personaDependiente;
	private Auxiliar auxiliar;
	private String pregunta;
	private String respuesta;
	private Date fecAlta;
	private Date fecRespuesta;

	// Constructors

	/** default constructor */
	public AbstractConsulta() {
	}

	/** minimal constructor */
	public AbstractConsulta(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractConsulta(Integer id, PersonaDependiente personaDependiente,
			Auxiliar auxiliar, String pregunta, String respuesta, Date fecAlta,
			Date fecRespuesta) {
		this.id = id;
		this.personaDependiente = personaDependiente;
		this.auxiliar = auxiliar;
		this.pregunta = pregunta;
		this.respuesta = respuesta;
		this.fecAlta = fecAlta;
		this.fecRespuesta = fecRespuesta;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public PersonaDependiente getPersonaDependiente() {
		return this.personaDependiente;
	}

	public void setPersonaDependiente(PersonaDependiente personaDependiente) {
		this.personaDependiente = personaDependiente;
	}

	public Auxiliar getAuxiliar() {
		return this.auxiliar;
	}

	public void setAuxiliar(Auxiliar auxiliar) {
		this.auxiliar = auxiliar;
	}

	public String getPregunta() {
		return this.pregunta;
	}

	public void setPregunta(String pregunta) {
		this.pregunta = pregunta;
	}

	public String getRespuesta() {
		return this.respuesta;
	}

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	public Date getFecAlta() {
		return this.fecAlta;
	}

	public void setFecAlta(Date fecAlta) {
		this.fecAlta = fecAlta;
	}

	public Date getFecRespuesta() {
		return this.fecRespuesta;
	}

	public void setFecRespuesta(Date fecRespuesta) {
		this.fecRespuesta = fecRespuesta;
	}

}