package hibernate;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * AbstractEvento entity provides the base persistence definition of the Evento
 * entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractEvento implements java.io.Serializable {

	// Fields

	private Integer id;
	private Servicio servicio;
	private Integer numDiasSemanales;
	private Integer numHorasSemanales;
	private Date fecha;
	private Date horaInicio;
	private Date horaFin;
	private Set tipoEventos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractEvento() {
	}

	/** minimal constructor */
	public AbstractEvento(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractEvento(Integer id, Servicio servicio,
			Integer numDiasSemanales, Integer numHorasSemanales, Date fecha,
			Date horaInicio, Date horaFin, Set tipoEventos) {
		this.id = id;
		this.servicio = servicio;
		this.numDiasSemanales = numDiasSemanales;
		this.numHorasSemanales = numHorasSemanales;
		this.fecha = fecha;
		this.horaInicio = horaInicio;
		this.horaFin = horaFin;
		this.tipoEventos = tipoEventos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Servicio getServicio() {
		return this.servicio;
	}

	public void setServicio(Servicio servicio) {
		this.servicio = servicio;
	}

	public Integer getNumDiasSemanales() {
		return this.numDiasSemanales;
	}

	public void setNumDiasSemanales(Integer numDiasSemanales) {
		this.numDiasSemanales = numDiasSemanales;
	}

	public Integer getNumHorasSemanales() {
		return this.numHorasSemanales;
	}

	public void setNumHorasSemanales(Integer numHorasSemanales) {
		this.numHorasSemanales = numHorasSemanales;
	}

	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

	public Date getHoraInicio() {
		return this.horaInicio;
	}

	public void setHoraInicio(Date horaInicio) {
		this.horaInicio = horaInicio;
	}

	public Date getHoraFin() {
		return this.horaFin;
	}

	public void setHoraFin(Date horaFin) {
		this.horaFin = horaFin;
	}

	public Set getTipoEventos() {
		return this.tipoEventos;
	}

	public void setTipoEventos(Set tipoEventos) {
		this.tipoEventos = tipoEventos;
	}

}