package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractLocalidad entity provides the base persistence definition of the
 * Localidad entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractLocalidad implements java.io.Serializable {

	// Fields

	private Integer id;
	private String nombre;
	private Set personas = new HashSet(0);
	private Set asociacions = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractLocalidad() {
	}

	/** minimal constructor */
	public AbstractLocalidad(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractLocalidad(Integer id, String nombre, Set personas,
			Set asociacions) {
		this.id = id;
		this.nombre = nombre;
		this.personas = personas;
		this.asociacions = asociacions;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public Set getPersonas() {
		return this.personas;
	}

	public void setPersonas(Set personas) {
		this.personas = personas;
	}

	public Set getAsociacions() {
		return this.asociacions;
	}

	public void setAsociacions(Set asociacions) {
		this.asociacions = asociacions;
	}

}