package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractPreguntaEstadoEconomico entity provides the base persistence
 * definition of the PreguntaEstadoEconomico entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractPreguntaEstadoEconomico implements
		java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Set respuestaEstadoEconomicos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractPreguntaEstadoEconomico() {
	}

	/** minimal constructor */
	public AbstractPreguntaEstadoEconomico(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractPreguntaEstadoEconomico(Integer id, String descripcion,
			Set respuestaEstadoEconomicos) {
		this.id = id;
		this.descripcion = descripcion;
		this.respuestaEstadoEconomicos = respuestaEstadoEconomicos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set getRespuestaEstadoEconomicos() {
		return this.respuestaEstadoEconomicos;
	}

	public void setRespuestaEstadoEconomicos(Set respuestaEstadoEconomicos) {
		this.respuestaEstadoEconomicos = respuestaEstadoEconomicos;
	}

}