package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractPreguntaEstadoPsiquico entity provides the base persistence
 * definition of the PreguntaEstadoPsiquico entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractPreguntaEstadoPsiquico implements
		java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Set respuestaEstadoPsiquicos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractPreguntaEstadoPsiquico() {
	}

	/** minimal constructor */
	public AbstractPreguntaEstadoPsiquico(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractPreguntaEstadoPsiquico(Integer id, String descripcion,
			Set respuestaEstadoPsiquicos) {
		this.id = id;
		this.descripcion = descripcion;
		this.respuestaEstadoPsiquicos = respuestaEstadoPsiquicos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set getRespuestaEstadoPsiquicos() {
		return this.respuestaEstadoPsiquicos;
	}

	public void setRespuestaEstadoPsiquicos(Set respuestaEstadoPsiquicos) {
		this.respuestaEstadoPsiquicos = respuestaEstadoPsiquicos;
	}

}