package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractTipoEvento entity provides the base persistence definition of the
 * TipoEvento entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractTipoEvento implements java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Set subtipoEventos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractTipoEvento() {
	}

	/** minimal constructor */
	public AbstractTipoEvento(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractTipoEvento(Integer id, String descripcion, Set subtipoEventos) {
		this.id = id;
		this.descripcion = descripcion;
		this.subtipoEventos = subtipoEventos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set getSubtipoEventos() {
		return this.subtipoEventos;
	}

	public void setSubtipoEventos(Set subtipoEventos) {
		this.subtipoEventos = subtipoEventos;
	}

}