package hibernate;

/**
 * AbstractVistaServicioId entity provides the base persistence definition of
 * the VistaServicioId entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractVistaServicioId implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer idVoluntario;
	private Integer idPersonadependiente;
	
	

	// Constructors

	/** default constructor */
	public AbstractVistaServicioId() {
	}

	/** full constructor */
	public AbstractVistaServicioId(Integer id, Integer idVoluntario,
			Integer idPersonadependiente) {
		this.id = id;
		this.idVoluntario = idVoluntario;
		this.idPersonadependiente = idPersonadependiente;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getIdVoluntario() {
		return this.idVoluntario;
	}

	public void setIdVoluntario(Integer idVoluntario) {
		this.idVoluntario = idVoluntario;
	}

	public Integer getIdPersonadependiente() {
		return this.idPersonadependiente;
	}

	public void setIdPersonadependiente(Integer idPersonadependiente) {
		this.idPersonadependiente = idPersonadependiente;
	}

	

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof AbstractVistaServicioId))
			return false;
		AbstractVistaServicioId castOther = (AbstractVistaServicioId) other;

		return ((this.getId() == castOther.getId()) || (this.getId() != null
				&& castOther.getId() != null && this.getId().equals(
				castOther.getId())))
				&& ((this.getIdVoluntario() == castOther.getIdVoluntario()) || (this
						.getIdVoluntario() != null
						&& castOther.getIdVoluntario() != null && this
						.getIdVoluntario().equals(castOther.getIdVoluntario())))
				&& ((this.getIdPersonadependiente() == castOther
						.getIdPersonadependiente()) || (this
						.getIdPersonadependiente() != null
						&& castOther.getIdPersonadependiente() != null && this
						.getIdPersonadependiente().equals(
								castOther.getIdPersonadependiente())))
				;
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result + (getId() == null ? 0 : this.getId().hashCode());
		result = 37
				* result
				+ (getIdVoluntario() == null ? 0 : this.getIdVoluntario()
						.hashCode());
		result = 37
				* result
				+ (getIdPersonadependiente() == null ? 0 : this
						.getIdPersonadependiente().hashCode());
	
		return result;
	}

}