package hibernate;

import java.util.Date;

/**
 * PersonaDependiente entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public class PersonaDependiente extends AbstractPersonaDependiente implements
		java.io.Serializable {

	// Constructors

	/** default constructor */
	public PersonaDependiente() {
	}

	/** minimal constructor */
	public PersonaDependiente(Integer id) {
		super(id);
	}

	/** full constructor */
	public PersonaDependiente(Integer id,
			CuestionarioEstadoPsiquico cuestionarioEstadoPsiquico,
			Auxiliar auxiliar,
			CuestionarioEstadoEconomico cuestionarioEstadoEconomico,
			Persona persona, CuestionarioEstadoFisico cuestionarioEstadoFisico,
			Asociacion asociacion,
			CuestionarioEstadoFamiliar cuestionarioEstadoFamiliar,
			String medicoCabecera, String centroSalud, Integer discapacidad,
			String causaBaja, Date fecAltaBeneficiario,
			Date fecBajaBeneficiario, String sexo, String estadoCivil,
			Boolean puedeFirmar) {
		super( id,
				 cuestionarioEstadoPsiquico,
				 auxiliar,
				 cuestionarioEstadoEconomico,
				 persona,  cuestionarioEstadoFisico,
				 asociacion,
				 cuestionarioEstadoFamiliar,
				 medicoCabecera,  centroSalud,  discapacidad,
				 causaBaja,  fecAltaBeneficiario,
				 fecBajaBeneficiario,  sexo,  estadoCivil,
				 puedeFirmar);
	}

}
