<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<style type="text/css">

#tabs {
	display: block;
	border-top: 5px;
	border-right: 5px;
	background-color: #f1f1f1;
	height: 24px;
	border: 1px solid #dddddd;
}

.panel {
	border: 1px solid #dddddd;
	padding: 5px;
	height: 340px;
	overflow: auto;
	clear: left;
}

.subpanel {
	border: 1px solid #dddddd;
	padding: 5px;
	height: 300px;
	overflow: auto;
	clear: left;
}
</style>

<script language="JavaScript" type="text/javascript">
     var panels = new Array('panel1', 'panel2', 'panel3', 'panel4');
     var selectedTab = null;
     function showPanel(tab, name) {
       if (selectedTab)        {
         selectedTab.style.color = '';
       }
       selectedTab = tab;
       selectedTab.style.color = '#006400';

       for(i = 0; i < panels.length; i++)
         document.getElementById(panels[i]).style.display = (name == panels[i]) ? 'block':'none';

       return false;
     }
</script>


<html:form action="/grabarCuestionario">
	<html:hidden property="tab"/>
	<html:hidden property="panel"/>
	<html:hidden property="id_persona" />
	<html:hidden property="id_voluntario" />
	<html:hidden property="id_servicio" />

	<!-- Pestanas -->
	<div id="tabs">
			<ul class="menupest"> 
				<li>
					<a href="" style="margin-top: 5px; font-size: 9pt; 
									  padding: 1px; font-weight:bold; "
						onmousedown="return event.returnValue = showPanel(this, 'panel1');"
						id="tab1" onclick="return false;">Físico</a>
				</li>
				<li>
					<a href="" style="margin-top: 5px; font-size: 9pt; 
									  padding: 1px; font-weight:bold; "
						onmousedown="return event.returnValue = showPanel(this, 'panel2');"
						id="tab2" onclick="return false;">Psíquico</a>
				</li>
				<li>
					<a href="" style="margin-top: 5px; font-size: 9pt; 
									  padding: 1px; font-weight:bold;"
						onmousedown="return event.returnValue = showPanel(this, 'panel3');"
						id="tab3" onclick="return false;">Económico</a>
				</li>
				<li>
					<a href="" style="margin-top: 5px; font-size: 9pt; 
									  padding: 1px; font-weight:bold; "
						onmousedown="return event.returnValue = showPanel(this, 'panel4');"
						id="tab4" onclick="return false;">Familiar</a>
				</li>
			</ul>

	</div>
	
	<!-- Panel Cuestionario Físico -->
	<div class="panel" id="panel1" style="display: none">
		<div class="formulario" style="width: 98%; margin-left: 1px; ">
			<div align="center">
				<div class="titles">Cuestionario Físico para <bean:write name="cuestionarioForm" property="nombre"/></div><br/>
				<div class="textoseccion"><bean:message key="servicio.formulario.texto"/></div>
				<span class="textoAviso"><html:errors property="errorgenerico" />
				</span>
				<table align="left" style="margin-left:20px;margin-top:50px;">
				   		<logic:iterate id="fisicas" name="fisicas" indexId="index">
				   		<tr>		   	
						   	<td class="ncuestionario"><bean:write name="fisicas" property="id"/> </td> 
							<td width="10"></td>
							<td class="cuestionario"><bean:write name="fisicas" property="descripcion"/></td>
							<td width="30"></td>
						   	<td align="right">					   		
						   		<input  type="text" maxlength="1" style="width:20px;" 
						   				id="puntuacionfisicas_<bean:write name="fisicas" property="id"/>"
						   				name="puntuacionfisicas_<bean:write name="fisicas" property="id" />"
						   				value= "<bean:write name="cuestionarioForm" property='<%= "pf[" + index + "]" %>'/>" />
						   	</td>
					   	</tr>
						</logic:iterate>
						<tr height="20px">
						</tr>
						<tr>
							<td  colspan="4" align="left">
								<div class="cuestionario4 ">TOTAL&nbsp;&nbsp;</div>
							</td>
							<td colspan="1" align="right">
								<input type="text" readonly="readonly" maxlength="2" style="width:40px;" 
								id="puntuacionfisicas" name="puntuacionfisicas" 
								value="<bean:write name="cuestionarioForm" property="puntuacionfisicas"/>"/>
							</td>
							<td>&nbsp;&nbsp;
								<span class="textoAviso"><html:errors property="puntuacionfisicas" />
								</span>
							</td>
						</tr>
				</table>
			</div><br/>
		</div>	
	</div>
	
	<!-- Panel Cuestionario Psíquico  -->
	<div class="panel" id="panel2" style="display: none">
		<div class="formulario" style="width: 98%; margin-left: 1px; ">
			<div align="center">
				<div class="titles">Cuestionario Psíquico para <bean:write name="cuestionarioForm" property="nombre"/></div><br/>
				<div class="textoseccion"><bean:message key="servicio.formulario.texto"/></div>
				<span class="textoAviso"><html:errors property="errorgenerico" />
				</span>
				<table align="left" style="margin-left:10px;margin-top:50px">
				   	<logic:iterate id="psiquicas" name="psiquicas" indexId="index1">
				   	<tr>
					   	<td class="ncuestionario"><bean:write name="psiquicas" property="id"/></td> 
						<td width="10"></td>
						<td class="cuestionario"><bean:write name="psiquicas" property="descripcion"/></td>
						<td width="30"></td>
					   	<td align="right">
					   		<input  type="text" maxlength="1" style="width:20px;" 
					   				name="psiquicas_<bean:write name="psiquicas" property="id"/>" 
					   				id="psiquicas_<bean:write name="psiquicas" property="id"/>"
					   				value= "<bean:write name="cuestionarioForm" property='<%= "pp[" + index1 + "]" %>'/>" />
					   	</td>
					</tr>				
					</logic:iterate>
					<tr height="20px">
					</tr>
					<tr>
						<td  colspan="4"  align="left">
								<div class="cuestionario4">TOTAL&nbsp;&nbsp;</div>
						</td>
						<td colspan="1" >
							<input type="text" readonly="readonly" maxlength="2" style="width:40px;" 
							id="puntuacionpsiquicas" name="puntuacionpsiquicas" 
							value="<bean:write name="cuestionarioForm" property="puntuacionpsiquicas"/>"/>
						</td>
						<td>&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="puntuacionpsiquicas" />
							</span>
						</td>
					</tr>
				</table>
			</div><br/>
		</div>
	</div>

	<!-- Cuestionario Económico-->
	<div class="panel" id="panel3" style="display: none">
		<div class="formulario" style="width: 98%; margin-left: 1px; ">
			<div align="center">
				<div class="titles">Cuestionario Económico para <bean:write name="cuestionarioForm" property="nombre"/></div><br/>
				<div class="textoseccion"><bean:message key="servicio.formulario.texto"/></div>
				<span class="textoAviso"><html:errors property="errorgenerico" />
				</span>
				<table align="left" style="margin-left:10px;margin-top:50px">
					   	<logic:iterate id="economicas" name="economicas" indexId="index2">				   	
					   	<tr>
						   	<td class="ncuestionario"><bean:write name="economicas" property="id"/></td> 
							<td width="10"></td>
							<td class="cuestionario"><bean:write name="economicas" property="descripcion"/></td>
							<td width="30"></td>
						   	<td align="right">
						   		<input  type="text" maxlength="1" style="width:20px;"  
						   		 		name="economicas_<bean:write name="economicas" property="id"/>" 
						   		 		id="economicas_<bean:write name="economicas" property="id"/>"
						   		 		value= "<bean:write name="cuestionarioForm" property='<%= "pe[" + index2 + "]" %>'/>" />
						   	</td>
					   	</tr>
						</logic:iterate>
						<tr height="20px">
						</tr>
						<tr>
							<td  colspan="4" align="left">
								<div class="cuestionario4">TOTAL&nbsp;&nbsp;</div>
							</td>
							<td colspan="1" >
								<input type="text" readonly="readonly" maxlength="2" style="width:40px;" 
								id="puntuacioneconomicas" name="puntuacioneconomicas"
								value="<bean:write name="cuestionarioForm" property="puntuacioneconomicas"/>" />
							</td>
							<td>&nbsp;&nbsp;
								<span class="textoAviso"><html:errors property="puntuacioneconomicas" />
								</span>
							</td>
						</tr>
				</table>
			</div><br/>
		</div>
		
	</div>
	
	
	<!-- Cuestionario Familiar-->
	<div class="panel" id="panel4" style="display: none">
		<div class="formulario" style="width: 98%; margin-left: 1px; ">
			<div align="center">
				<div class="titles">Cuestionario Familiar para <bean:write name="cuestionarioForm" property="nombre"/></div><br/>
				<div class="textoseccion"><bean:message key="servicio.formulario.texto"/></div>
				<span class="textoAviso"><html:errors property="errorgenerico" />
				</span>
				<table align="left" style="margin-left:10px;margin-top:50px">		
					   	<logic:iterate id="familiares" name="familiares" indexId="index3">				   	
					   	<tr>
						   	<td class="ncuestionario"><bean:write name="familiares" property="id"/></td> 
							<td width="10"></td>
							<td class="cuestionario"><bean:write name="familiares" property="descripcion"/></td>
						   	<td width="30"></td>
						   	<td align="right">
						   		<input  type="text" maxlength="1" style="width:20px;" 
						   				name="familiares_<bean:write name="familiares" property="id"/>" 
						   				id="familiares_<bean:write name="familiares" property="id"/>"
						   				value= "<bean:write name="cuestionarioForm" property='<%= "pfa[" + index3 + "]" %>'/>" />
						   	</td>
						</tr>
						</logic:iterate>
						<tr height="20px">
						</tr>
						<tr>
							<td colspan="4" align="left">
								<div class="cuestionario4">TOTAL&nbsp;&nbsp;</div>
							</td>
							<td colspan="1" >
								<input type="text" readonly="readonly" maxlength="2" style="width:40px;" 
								id="puntuacionfamiliares" name="puntuacionfamiliares" 
								value="<bean:write name="cuestionarioForm" property="puntuacionfamiliares"/>" />
							</td>
							<td>&nbsp;&nbsp;
								<span class="textoAviso"><html:errors property="puntuacionfamiliares" />
								</span>
							</td>
						</tr>
				</table>
			</div><br/>
		</div>
		
	</div>

	<!-- Botones -->
	<div align="center"><br/>
		<input type="submit" class="botonGuardar" title="<bean:message key="usuario.detalle.aceptar"/>"
			value="" />
		<input type="submit" name="volver" class="botonVolver2" title="<bean:message key="usuario.detalle.cancelar"/>"
			value="" />
	</div>
	<br />
	
	<script>
		showPanel(document.getElementById('tab1'), 'panel1');
		showPanel(document.getElementById('<bean:write name="cuestionarioForm" property="tab" />'), '<bean:write name="cuestionarioForm" property="panel" />');
	</script>
</html:form>
