<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>
<script language="JavaScript" src="js/CalendarPopup.js"></script>
<script language="JavaScript" src="js/AnchorPosition.js"></script>
<script language="JavaScript" src="js/date.js"></script>
<script language="JavaScript" src="js/PopupWindow.js"></script>
<script language="JavaScript">document.write(getCalendarStyles());</script>

<div id="divcalendario"
	style="position: absolute; visibility: hidden; background-color: white; layer-background-color: white;"></div>
<script language="JavaScript">
				var now = new Date();
				var calendario = new CalendarPopup("divcalendario");
				calendario.setWeekStartDay(1);		  
</script>

<logic:present name="usuario" >
	<div class="titles">Datos Usuario</div><br/>
	<p style="text-align: center" class="textoAviso">
		<html:errors property="errores" />
	</p>
	<html:form action="/grabarDatosUsuario">
		<html:hidden property="id" />
		<html:hidden property="aceptar" />
		<logic:equal name="usuarioForm" property="aceptar" value="1">	
	  		<%@ include file="aceptar.jspf" %>
		</logic:equal>
		<logic:notEqual name="usuarioForm" property="aceptar" value="1">
			<div id="formulario" style="width: 96%">
				<fieldset>
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.usuario" /> *
							</label>
						</div>
						<div class="columna2">
							<html:text property="usuario" maxlength="256" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="usuario" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.dni" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="dni" maxlength="10"  readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="dni" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.nombre" />
								*
							</label>
						</div>
						<div class="columna2">
							<html:text property="nombre" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="nombre" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.apellido1" />
								*
							</label>
						</div>
						<div class="columna2">
							<html:text property="apellido1" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="apellido1" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.apellido2" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="apellido2" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="apellido2" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.fecha_nacimiento" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="fecha_nacimiento" maxlength="10" readonly="true"/>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.direccion" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="direccion" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="direccion" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.codigo_postal" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="codigo_postal" maxlength="5" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors
									property="codigo_postal" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.localidad" />
							</label>
						</div>
						<div class="columna2">
							<html:select property="localidad" disabled="true">
								<html:options collection="listadoLocalidades" property="id"
									labelProperty="nombre" />
							</html:select>
							<html:errors property="localidad" />
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.telefono" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="telefono" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="telefono" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1"  >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.movil" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="movil" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="movil" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.email" />
							</label>
						</div>
						<div class="columna2">
							<html:text property="email" maxlength="50" readonly="true"/>
							&nbsp;&nbsp;
							<span class="textoAviso"><html:errors property="email" />
							</span>
						</div>
					</div>
					<br />
					<div class="lineaFormulario">
						<div class="columna1" >
							<label for="etiqueta1">
								<bean:message key="usuario.formulario.perfil" />
							</label>
						</div>
						<div class="columna2">
							<html:select property="perfil" disabled="true">
								<html:options collection="listadoPerfiles" property="id"
									labelProperty="nombre" />
							</html:select>
							<html:errors property="perfil" />
						</div>
					</div>
					<br />
					<div align="center"><br/><br/><br/><br/>
						<input type="submit" class="botonVolver" name="volver" title="<bean:message key="asociacion.detalle.cancelar"/>"
								value="" />
					</div><br/><br/>	
				</fieldset>
			</div>
		</logic:notEqual>
	</html:form>
</logic:present>
