<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp" %>


<html:form action="/editarAsociacion">
	<html:hidden property="id"/>
	<div class="titles"><bean:write name="asociacionForm" property="nombre"/></div><br/><br/>
	<div class="textoseccion"><bean:message key="asociacion.detalle.texto"/></div>
	<p style="text-align: center" class="textoAviso">
		<span class="textoAviso"><html:errors property="mensajes_error" /></span>
	</p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensaje" message="true">
			<bean:write name="mensaje" />
		</html:messages>
	</p><br/>
	<div id="formulario" style="width: 96%"><br/><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.nombre"/> *</label>
			</div>
			<div class="columna2">
				<html:text property="nombre" style="width:250px; " maxlength="128"/>&nbsp;<span class="textoAviso"><html:errors property="nombre"/></span>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.direccion"/></label>
			</div>
			<div class="columna2">
				<html:text property="direccion" maxlength="128" style="width:250px; "/>&nbsp;<span class="textoAviso"><html:errors property="direccion"/></span>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.telefono"/></label>
			</div>
			<div class="columna2">
				<html:text property="telefono" maxlength="14" style="width:250px; "/>&nbsp;<span class="textoAviso"><html:errors property="telefono"/></span>
			</div>
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.descripcion"/></label>
			</div>
			<div class="columna2">
				<html:textarea property="descripcion" style="width: 250px;height: 100px"></html:textarea><br/>
					&nbsp;<span class="textoAviso"><html:errors property="descripcion"/></span>
			</div>
		</div><br/><br/><br/><br/><br/><br/><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.coordinador2"/></label>
			</div>
			<div class="columna2">
				<html:select property="id_coordinador">
					<html:option value=""><bean:message key="formulario.select.coordinador" /></html:option>
					<html:options collection="listadoCoordinadores" property="id" labelProperty="persona.nombre_apellidos" />
				</html:select>
				&nbsp;<span class="textoAviso"><html:errors property="localidad"/></span>
			</div>			
		</div><br/>
		<div class="lineaFormulario" style="width: 100%; ">
			<div class="columna1" >
				<label><bean:message key="asociacion.detalle.localidad"/></label>
			</div>
			<div class="columna2">
				<html:select property="localidad">
					<html:option value=""><bean:message key="formulario.select.localidad" /></html:option>
					<html:options collection="listadoLocalidades" property="id" labelProperty="nombre" />
				</html:select>
				&nbsp;<span class="textoAviso"><html:errors property="localidad"/></span>
			</div>			
		</div><br/>
		<br/>
		<div style="align:center; height:150px">
			<fieldset class="etiqueta1"
				style="border: 1px solid grey;  background-color: ffffff; width: 90%; margin-left: 5%;">
				<legend class="cuestionario3">
					<b><bean:message
								key="asociacion.detalle.voluntarios" /> </b>
				</legend>	
				<div class="lineaFormulario" style="width: 98%; height: 25%;">
					<table align="center">
						<tr>
							<td>
								<div style="border: none;">
									<div><div class="ncuestionario">
										<bean:message key="asociacion.detalle.voluntariosasignados"/>
									</div></div>
									<html:select property="voluntarios_asignados" multiple="true" size="6" style="width:250px;align:center;height:150px;">
										<html:options collection="listadoVoluntariosAsignados"
											property="id" labelProperty="usuario.persona.nombre_apellidos" style="font-size:15;"/>
									</html:select>
								</div>
							</td>
							<td width="7"></td>
							<td>
								<input type="submit" name="add" class="botonIzquierda" title="<bean:message key="usuario.detalle.aceptar"/>"
										value="" /><br/>
								<input type="submit" name="del" class="botonDerecha" title="<bean:message key="usuario.detalle.cancelar"/>"
										value="" />
							</td>
							<td width="7"></td>
							<td>
								<div style="border: none;">
										<div><div class="ncuestionario"><bean:message key="asociacion.detalle.voluntariosnoasignados" />
										</div></div>
										<html:select property="voluntarios_no_asignados" style="width:250px;align:center;height:150px;" multiple="true"
											size="6">
											<html:options collection="listadoVoluntariosNoAsignados"
												property="id" labelProperty="usuario.persona.nombre_apellidos" style="font-size:15;" />
										</html:select>
								</div>
							</td>
						</tr>
					</table>
					</div><br/>
			</fieldset>
		</div><br><br>
		<div align="center"><br/><br/><br/><br/><br/><br/>
			<input type="submit" class="botonGuardar" title="<bean:message key="usuario.listado.editar"/>"
							value="" />
			<input type="submit" name="volver" class="botonVolver2" title="<bean:message key="boton.volver"/>"
							value="" />
		</div><br />
	</div><br><br>
</html:form>