<%@page import="java.awt.Paint"%>
<%@page import="org.jCharts.properties.ChartProperties"%>
<%@page import="org.jCharts.properties.LegendProperties"%>
<%@page import="org.jCharts.encoders.ServletEncoderHelper"%>
<%@page import="org.jCharts.chartData.PieChartDataSet"%>
<%@page import="org.jCharts.properties.PieChart2DProperties"%>
<%@page import="org.jCharts.nonAxisChart.PieChart2D"%>
<%@page import="org.jCharts.types.PieLabelType"%>
<%@page import="graficas.GraficaUsuariosSexoEdad"%>
<%
	try {
		// Instanciamos el objeto de los datos para la grafica
		GraficaUsuariosSexoEdad datosGrafica = new GraficaUsuariosSexoEdad();
		
		Paint[] paints = { datosGrafica.getColorVerdeOscuro(),
							datosGrafica.getColorRojo() };

		// Instanciamos las propiedades de la grafica
		PieChart2DProperties pieChart2DProperties = new PieChart2DProperties();
		pieChart2DProperties.setPieLabelType( PieLabelType.VALUE_LABELS);
		pieChart2DProperties.setTickLength(-15.0f);
		
		// Grupo de datos
		PieChartDataSet pieChartDataSet = new PieChartDataSet(
				datosGrafica.TITLE_SEXO, datosGrafica.getDatosSexo(), datosGrafica.LABELS_SEXO, paints,
				pieChart2DProperties);
		// Propiedades de la leyenda - Sin borde
		LegendProperties legendProperties= new LegendProperties();
		legendProperties.setBorderStroke(null);
		// Creamos la grafica
		PieChart2D pieChart2D = new PieChart2D(pieChartDataSet,
				legendProperties, new ChartProperties(), 300, 300);
		// Pintamos la grafica
		ServletEncoderHelper.encodeJPEG13(pieChart2D, 1.0f, response);

	} catch (Exception e) {
		System.out.println(e);
	}
%>