<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<logic:present name="usuario" scope="session"><%-- --%>

	<html:form action="/listarAgendas" >  <%-- --%>
		<div class="titles">Voluntarios pertenecientes a <bean:write name="listadoAgendaForm" property="nombreAsociacion"/></div><br/>
		<div class="textoseccion"><bean:message key="servicio.agendas.listado.texto"/></div>
		<div id="formulario" style="width: 96%">
			<fieldset>
				<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="voluntario.listado.voluntario" />
						</label>
						<html:text property="nombreFiltroAgenda" />
						<html:errors property="nombreFiltroAgenda" />
				</div>
				<br />
				<div style="text-align: center;">
					<div align="center"><br/>
						<input type="submit" class="botonLupa" title="<bean:message key="voluntario.listado.filtrado"/>"
							value="" />
					</div>
				</div>
				<br />
			</fieldset>
		</div>
	</html:form>

	<p style="text-align: center" class="textoAviso"><html:errors property="mensaje_error"/></p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensajes" message="true">
			<bean:write name="mensajes" />
		</html:messages>
	</p>

	<div style="text-align: center">
		<display:table class="listado" export="false"
			name="sessionScope.listadoVoluntarios" id="auxiliar"
			requestURI="/preparaListadoVoluntarios.do" pagesize="10" sort="list">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column nulls="true" property="login" title="Usuario"
				sortable="true" />
			<display:column nulls="true" property="nombre" title="Nombre"
				sortable="true" />
			<display:column nulls="true" property="apellido1"
				title="Primer Apellido" sortable="true" />
			<display:column nulls="true" property="apellido2"
				title="Segundo Apellido" sortable="true" />
		
			<display:column media="html">
				<html:link action="/preparaNuevaTareaVoluntario.do" titleKey="enlace.alt.agenda">
					<html:img border="1" page="/images/iconos/agenda.png" alt="Ver"></html:img>
					<html:param name="idVoluntario">
						<bean:write name="auxiliar" property="id.id" />
					</html:param>
				</html:link>
			</display:column>
		</display:table>
	</div>
	
	<br/>
</logic:present>
