<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<div class="titles">Asociaciones que utilizan CiberVoluntariado</div><br/><br/>
<html:form action="/listarAsociacion">
	<div id="formulario" style="width: 96%;">
		<fieldset>
			<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="PD.listado.nombre" />
						</label>
						<html:text property="nombre" />
						<html:errors property="nombre" />
			</div>
			<br />
			<div align="center"><br/>
				<input type="submit" class="botonLupa" title="<bean:message key="asociacion.listado.buscar"/>"
					value="" />
				<input type="submit" name="nuevo" class="botonNuevo" title="<bean:message key="PD.listado.nuevoPD"/>"
					value="" />
			</div>
		</fieldset>

	<p style="text-align: center" class="textoAviso">
		<span class="textoAviso"><html:errors property="mensajes_error" /></span>
	</p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensaje" message="true">
			<bean:write name="mensaje" />
		</html:messages>
	</p>
	<div align="center">
		<display:table id="listado" pagesize="8"
			name="sessionScope.listadoAsociacion" export="false"
			class="listado" sort="list"
			requestURI="/preparaListadoAsociacion.do">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column property="nombre" title="Nombre" sortable="true" titleKey="asociacion.listado.ordenarpornombre"
				nulls="true" />
			<display:column property="nombreLocalidad" title="Localidad" sortable="true" titleKey="asociacion.listado.ordenarporlocalidad"
				nulls="true" />
			<display:column media="html">
				<html:link action="/preparaVerAsociacion.do"
					titleKey="enlace.alt.ver">
					<html:param name="id">
						<bean:write name="listado" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/ver.png" alt="Ver" />
				</html:link>
			</display:column>
			<display:column media="html">
				<html:link
					action="/preparaConfirmacion.do?Id_Confirmacion=2&atributo=id"
					titleKey="enlace.alt.borrar">
					<html:param name="id">
						<bean:write name="listado" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/borrar.png" alt="Borrar" />
				</html:link>
			</display:column>
		</display:table>
		<br/><br/>
	</div>
</div>
</html:form>