<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp"%>

<div class="titles">Personas Asociadas a su cargo</div><br/>
<html:form action="/listarCuestionariosVol">
	<div id="formulario" style="width: 96%;">
		<fieldset>
			<div style="text-align: center;">
						<label for="etiqueta1">
							<bean:message key="PD.listado.nombre" />
						</label>
						<html:text property="nombrePD" />
						<html:errors property="nombrePD" />
			</div>
			<br />
			<div align="center"><br/>
				<input type="submit" class="botonLupa" title="<bean:message key="PD.listado.filtrado"/>"
					value="" />
			</div>
		</fieldset>

	<p style="text-align: center" class="textoAviso">
		<span class="textoAviso"><html:errors property="mensajes_error" /></span>
	</p>
	<p style="text-align: center" class="textoMensaje">
		<html:messages id="mensaje" message="true">
			<bean:write name="mensaje" />
		</html:messages>
	</p>
	<div align="center">
		<display:table id="listadoPDVol" pagesize="8"
			name="sessionScope.listadoPDVol" export="false"
			class="listado" sort="list"
			requestURI="/preparaCuestionarios.do">
			<display:setProperty name="paging.banner.placement" value="bottom" />
			<display:column property="nombre" title="Nombre" sortable="true" titleKey="PD.listado.ordenarpornombre"
				nulls="true" />
			<display:column property="apellido1" title="Primer Apellido"
				sortable="true" nulls="true" titleKey="PD.listado.ordenarporapellido1"/>
			<display:column property="apellido2" title="Segundo Apellido"
				sortable="true" nulls="true" titleKey="PD.listado.ordenarporapellido2"/>
			<display:column media="html">
				<html:link action="/preparaHacerCuestionario.do"
					titleKey="enlace.alt.ver">
					<html:param name="id">
						<bean:write name="listadoPDVol" property="id.id" />
					</html:param>
					<html:img page="/images/iconos/ver.png" alt="Cuestionario" />
				</html:link>
			</display:column>
		</display:table>
		<br/><br/>
	</div>
</div>
</html:form>