<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="directivas.jsp" %>

<logic:present scope="session" name="usuario">
	<ul class="menuestilo">
		<li>
			<a onmouseover="slide('submenu_servicio')" href="./ppalServicios.do" ><bean:message key="menu.servicio.cap" /></a>
			<div id="submenu_servicio" class="submenu">
				<ul>
					<li>
						<html:link action="/preparaAgendas.do" styleClass="botonMenu"><bean:message key="menu.servicio.agenda" /></html:link>
					</li>
					<li>
						<html:link action="/preparaCuestionarios.do" styleClass="botonMenu"><bean:message key="menu.servicio.cuestionario" /></html:link>
					</li>
				</ul>
			</div>
		</li>
		<li>
			<a href="./preparaListadoConsultas.do#"><bean:message key="menu.consulta.cap" /></a>
		</li>
		<li>
			<a href="./ppalInformes.do#" onmouseover="slide('submenu_informes')"><bean:message key="menu.informes.cap" /></a>
			<div id="submenu_informes" class="submenu">
				<ul>
					<li>
						<html:link action="/preparaListadoInformePD.do" styleClass="botonMenu"><bean:message key="menu.informes.estado" /></html:link>
					</li>
					<li>
						<html:link action="/preparaInformeListaPD.do" styleClass="botonMenu"><bean:message key="menu.informes.completo" /></html:link>
					</li>
				</ul>
			</div>
		</li>
		<li>
			<a href="./ppalEstadisticas.do#" onmouseover="slide('submenu_estadisticas')"><bean:message key="menu.estadisticas.cap" /></a>
			<div id="submenu_estadisticas" class="submenu">
				<ul>
					<li>
						<html:link action="/mostrarSexoEdad.do" styleClass="botonMenu"><bean:message key="menu.estadisticas.sexoedad" /></html:link>
					</li>
					<li>
						<html:link action="/mostrarDiscapacitados.do" styleClass="botonMenu"><bean:message key="menu.estadisticas.discapacitados" /></html:link>
					</li>
					<li>
						<html:link action="/preparaListadoEstadisticasPD.do" styleClass="botonMenu"><bean:message key="menu.estadisticas.horasusuarios" /></html:link>
					</li>
					<li>
						<html:link action="/preparaMediaHoras.do" styleClass="botonMenu"><bean:message key="menu.estadisticas.horasservicio" /></html:link>
					</li>
				</ul>
			</div>
		</li>
		<li>
			<a onmouseover="slide('submenu_gestion')" href="./ppalGestion.do#" ><bean:message key="menu.gestion.cap" /></a>
			<div id="submenu_gestion" class="submenu">
				<ul>
					<li>
						<html:link action="/preparaListadoVoluntarios.do" styleClass="botonMenu"><bean:message key="menu.gestion.voluntarios" /></html:link>
					</li>
					<li>
						<html:link action="/preparaListadoPD.do" styleClass="botonMenu"><bean:message key="menu.gestion.PD" /></html:link>
					</li>
					<li>
						<html:link action="/preparaEditarAsociacion.do" styleClass="botonMenu"><bean:message key="menu.gestion.miAsociacion" /></html:link>
					</li>
				</ul>
			</div>
		</li>
		<li>
			<a href="./ppalAdministracion.do#" onmouseover="slide('submenu_administracion')"><bean:message key="menu.administracion.cap" /></a>
			<div id="submenu_administracion" class="submenu">
				<ul>
					<li>
						<html:link action="/preparaListadoUsuarios.do" styleClass="botonMenu"><bean:message key="menu.administracion.usuarios" /></html:link>
					</li>
					<li>
						<html:link action="/preparaListadoAsociacion.do" styleClass="botonMenu"><bean:message key="menu.administracion.asociacion" /></html:link>
					</li>
				</ul>
			</div>
		</li>
	</ul>
</logic:present>