package action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


public class BorrarSesionAction extends Action {
	/*
	 * Generated Methods
	 */

	// Logs
	private static Log logs = LogFactory.getLog(BorrarSesionAction.class);
	
	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		// Borramos la sesion
		logs.info("Borramos la sesion");
		request.getSession().removeAttribute("usuario");
		request.getSession().invalidate();
		// Volver
		return mapping.findForward("success");
	}
	
}