
package action;

import hibernate.VistaServicio;
import hibernate.VistaServicioDAO;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import form.AgendaForm;

class PreparaAgendaVoluntarioAction extends Action {
	

	private static Log log = LogFactory.getLog(PreparaAgendaVoluntarioAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		AgendaForm agendaForm = (AgendaForm) form;
		
		try {
			if (request.getParameter("idVoluntario")!=null)  {
				VistaServicioDAO vistaAgendaDAO = new VistaServicioDAO();
				Collection<VistaServicio> lista = vistaAgendaDAO.findAll(); //porDia( 
				request.getSession().setAttribute("listadoAgendaVoluntario", lista);
			} else {
				request.getSession().setAttribute("listadoAgendaVoluntario", null);
			}
			return mapping.findForward("success");
		} catch (Exception e) {
			log.warn("Error CREANDO la agenda del Voluntario");
			e.printStackTrace();
			return mapping.findForward("fail");	
		}
	}
}