
package action;

import hibernate.Asociacion;
import hibernate.AsociacionDAO;
import hibernate.Persona;
import hibernate.Usuario;
import hibernate.VistaInformePdDAO;

import java.util.Collection;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import form.InformesForm;


public class PreparaListadoInformePDAction extends Action {

	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {
		
		InformesForm informesForm = (InformesForm) form;
		// informesForm.reset(mapping, request);
		
		// Asociacion
		HttpSession session = request.getSession(false);
		if (session != null && session.getAttribute("usuario") != null) {
			Usuario u = (Usuario)session.getAttribute("usuario");
			
			AsociacionDAO asoDAO = new AsociacionDAO();
			Collection<Asociacion> l = asoDAO.findAll();
			Iterator<Asociacion> i = l.iterator();
					
			// Solo admitimos un Coordinador por Asociaci�n
			boolean esta = false;
			Asociacion miAso = new Asociacion();
			while ((i.hasNext()) && (!esta)) {
				Asociacion aso = (Asociacion)i.next();
				Persona p = aso.getPersona();
				if (p != null) {
					if (p.getId().equals(u.getPersona().getId())) {
						// Hemos encontrado la Asociaci�n del coordinador logeado
						miAso = aso;
						esta = true;
						request.setAttribute("id", miAso.getId().toString());
					}
				}
			}
			informesForm.setNombreAsociacion(miAso.getNombre());
			VistaInformePdDAO informeDAO = new VistaInformePdDAO();
			Collection<VistaInformePdDAO> listaPD = informeDAO.findAllAsociacion(miAso.getId().toString());
			request.getSession().setAttribute("listadoPD", listaPD);
		}
		return mapping.findForward("success");
	}
}