
package action;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.hibernate.JDBCException;
import java.util.Iterator;

import hibernate.Usuario;
import hibernate.UsuarioDAO;
import hibernate.VistaUsuarios;
import hibernate.VistaUsuariosDAO;

public class PreparaListadoUsuarioAction extends Action {

	private static Log logs = LogFactory.getLog(PreparaListadoUsuarioAction.class);
	
	@Override
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		// errores
		ActionErrors mensajes = new ActionErrors();
		
		try {
			
			// usuario
			VistaUsuariosDAO listadoUsuarioDAO = new VistaUsuariosDAO();
			UsuarioDAO userDAO = new UsuarioDAO();
			
			// todos los usuarios
			Collection<VistaUsuarios> listaUsuarioaux = listadoUsuarioDAO.findAll();
			Collection<VistaUsuarios> listaUsuario = new ArrayList<VistaUsuarios>();
			Iterator<VistaUsuarios> it = listaUsuarioaux.iterator();
			VistaUsuarios user;
			while (it.hasNext()) {
				user = (VistaUsuarios) it.next();
				Usuario userAux = userDAO.findById(user.getId().getIdUsuario());
				if (userAux.getFecBaja() == null)
					listaUsuario.add(user);
			}

			request.getSession().setAttribute("listadoUsuario", listaUsuario);

			return mapping.findForward("success");
			
		} catch (JDBCException e) {
			throw e;
		} catch (Exception e) {
			e.printStackTrace();
			logs.error("error al listar los usuarios");
			throw e;
		}
	}
	
}