
package action;

import form.ConsultaForm;
import hibernate.AuxiliarDAO;
import hibernate.Consulta;
import hibernate.ConsultaDAO;
import hibernate.HibernateSessionFactory;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.hibernate.Session;
import org.hibernate.Transaction;

public class VerRespuestaConsultaAction extends Action {

	private static Log log = LogFactory.getLog(VerRespuestaConsultaAction.class);
	/** 
	 * Method execute
	 * @param mapping
	 * @param form
	 * @param request
	 * @param response
	 * @return ActionForward
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) {

		ConsultaForm cForm = (ConsultaForm) form;
		
		if (request.getParameter("volver") != null) {
			return mapping.findForward("volver");
		}
		if (request.getParameter("id") != null) {
			
			ConsultaDAO cDAO = new ConsultaDAO();
			AuxiliarDAO volDAO = new AuxiliarDAO();
			Session sesion = HibernateSessionFactory.getSession();
			Transaction tx = sesion.beginTransaction();
			Consulta c = cDAO.findById(Integer.parseInt(request.getParameter("id").toString()));
			cForm.setPregunta(c.getPregunta());
			cForm.setRespuesta(c.getRespuesta());
			cForm.setNombreVol(c.getAuxiliar().getUsuario().getPersona().getNombre_apellidos());
			tx.commit();
			sesion.close();

			return mapping.findForward("success");
			
		} else {
			return mapping.findForward("fail");
		}
	}
}