
package form;

import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.validator.ValidatorForm;

import hibernate.Persona;
import hibernate.PersonaDAO;
import hibernate.Usuario;
import hibernate.UsuarioDAO;
import util.ConstantesProyecto;
import util.DatesToolbox;
import util.Validaciones;

public class PDForm extends ValidatorForm {
	/*
	 * Generated Methods
	 */
	
	// Gestor de logs
	private static Log logs = LogFactory.getLog(PDForm.class);
	
	
	/** nombre property */
	private String nombre;
	
	private String nombreAsociacion;
	
	/** idServicio property */
	private String idServicio;
	
	/** centro_de_salud property */
	private String centro_de_salud;

	/** medico_de_cabecera property */
	private String medico_de_cabecera;

	/** apellido2 property */
	private String apellido2;

	/** direccion property */
	private String direccion;

	/** id_persona property */
	private String id_persona;

	/** id property */
	private String id;

	/** observaciones property */
	private String observaciones;

	/** telefono property */
	private String telefono;

	/** apellido1 property */
	private String apellido1;
	
	/** dni property */
	private String dni;
	
	/** localidad property */
	private String localidad;
	
	/** discapacidad property */
	private String discapacidad;
	
	/** causa_baja property */
	private String causa_baja;
	
	/** sexo property */
	private String sexo;
	
	/** estado_civil property */
	private String estado_civil;

	/** puede_firmar property */
	private String puede_firmar;
	
	/** email property */
	private String email;
	
	/** fecha_nacimiento property */
	private String fecha_nacimiento;

	
	/** usuario property */
	private String usuarioPD;
	
	/** clave property */
	private String clavePD;

	/** clave2 property */
	private String clave2PD;
	
	
	/**
	 * @return the nombre
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * @param nombre the nombre to set
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return the centro_de_salud
	 */
	public String getCentro_de_salud() {
		return centro_de_salud;
	}

	/**
	 * @param centro_de_salud the centro_de_salud to set
	 */
	public void setCentro_de_salud(String centro_de_salud) {
		this.centro_de_salud = centro_de_salud;
	}

	/**
	 * @return the medico_de_cabecera
	 */
	public String getMedico_de_cabecera() {
		return medico_de_cabecera;
	}

	/**
	 * @param medico_de_cabecera the medico_de_cabecera to set
	 */
	public void setMedico_de_cabecera(String medico_de_cabecera) {
		this.medico_de_cabecera = medico_de_cabecera;
	}

	/**
	 * @return the apellido2
	 */
	public String getApellido2() {
		return apellido2;
	}

	/**
	 * @param apellido2 the apellido2 to set
	 */
	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	/**
	 * @return the direccion
	 */
	public String getDireccion() {
		return direccion;
	}

	/**
	 * @param direccion the direccion to set
	 */
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}

	/**
	 * @return the id_persona
	 */
	public String getId_persona() {
		return id_persona;
	}

	/**
	 * @param id_persona the id_persona to set
	 */
	public void setId_persona(String id_persona) {
		this.id_persona = id_persona;
	}

	/**
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @return the observaciones
	 */
	public String getObservaciones() {
		return observaciones;
	}

	/**
	 * @param observaciones the observaciones to set
	 */
	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}

	/**
	 * @return the telefono
	 */
	public String getTelefono() {
		return telefono;
	}

	/**
	 * @param telefono the telefono to set
	 */
	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	/**
	 * @return the apellido1
	 */
	public String getApellido1() {
		return apellido1;
	}

	/**
	 * @param apellido1 the apellido1 to set
	 */
	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	/**
	 * @return the dni
	 */
	public String getDni() {
		return dni;
	}

	/**
	 * @param dni the dni to set
	 */
	public void setDni(String dni) {
		this.dni = dni;
	}

	/**
	 * @return the localidad
	 */
	public String getLocalidad() {
		return localidad;
	}

	/**
	 * @param localidad the localidad to set
	 */
	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	/**
	 * @return the discapacidad
	 */
	public String getDiscapacidad() {
		return discapacidad;
	}

	/**
	 * @param discapacidad the discapacidad to set
	 */
	public void setDiscapacidad(String discapacidad) {
		this.discapacidad = discapacidad;
	}

	/**
	 * @return the causa_baja
	 */
	public String getCausa_baja() {
		return causa_baja;
	}

	/**
	 * @param causa_baja the causa_baja to set
	 */
	public void setCausa_baja(String causa_baja) {
		this.causa_baja = causa_baja;
	}

	/**
	 * @return the sexo
	 */
	public String getSexo() {
		return sexo;
	}

	/**
	 * @param sexo the sexo to set
	 */
	public void setSexo(String sexo) {
		this.sexo = sexo;
	}

	/**
	 * @return the estado_civil
	 */
	public String getEstado_civil() {
		return estado_civil;
	}

	/**
	 * @param estado_civil the estado_civil to set
	 */
	public void setEstado_civil(String estado_civil) {
		this.estado_civil = estado_civil;
	}

	/**
	 * @return the puede_firmar
	 */
	public String getPuede_firmar() {
		return puede_firmar;
	}

	/**
	 * @param puede_firmar the puede_firmar to set
	 */
	public void setPuede_firmar(String puede_firmar) {
		this.puede_firmar = puede_firmar;
	}

	/** 
	 * Method validate
	 * @param mapping
	 * @param request
	 * @return ActionErrors
	 */
	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		
		// errores
		ActionErrors mensajes = new ActionErrors();
		
		// Usuarios
		UsuarioDAO usuarioDAO = new UsuarioDAO();
		
		PersonaDAO personasDAO = new PersonaDAO();
		Persona persona = new Persona();	
		Set<Persona> personas = new HashSet(0);
		
		
		if (request.getParameter("volver") == null)  {
			// email
			if (this.getEmail().length() > 0) {
				if (this.getEmail().length() > 50) {
					logs.warn("El e-mail del usuario es demasiado grande");
					mensajes.add("email", new ActionMessage(
							"usuario.error.email.grande"));
				} else if (!Validaciones.esEmailValido(this.getEmail())) {
					logs.warn("El formato de email no es correcto");
					mensajes.add("email", new ActionMessage("formulario.email"));
				} else if (Validaciones.libreCaracteresEspeciales(this.getEmail()) != null) {
					logs.warn("Contiene caracteres especiales");
					mensajes.add("email", new ActionMessage(
							"formulario.caracteres_especiales", Validaciones
									.libreCaracteresEspeciales(this.getEmail())));
				}
			}
			// direccion
			if (this.getDireccion().length() > 50) {
				mensajes.add("direccion", new ActionMessage("auxiliar.error.direccion.grande"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getDireccion()) != null)
				mensajes.add("direccion", new ActionMessage("error.caracteresespeciales"));
			// Nombre
			if (this.getNombre().length() > 50) {
				mensajes.add("nombre", new ActionMessage("auxiliar.error.nombre.grande"));
			} else if (this.getNombre().equals("")) {
				mensajes.add("nombre", new ActionMessage("auxiliar.error.nombre.vacio"));			
			} else if (Validaciones.libreCaracteresEspeciales(this.getNombre()) != null)
				mensajes.add("nombre", new ActionMessage("error.caracteresespeciales"));
			
			// apellidos
			// Apellido1
			if (this.getApellido1().equals("")) {
				mensajes.add("apellido1", new ActionMessage(
						"auxiliar.error.apellido1.vacio"));
			} else if (this.getApellido1().length() > 50) {
				mensajes.add("apellido1", new ActionMessage(
						"auxiliar.error.apellido1.grande"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getApellido1()) != null)
				mensajes.add("apellido1", new ActionMessage("error.caracteresespeciales"));
			// Apellido2
			if ((!this.getApellido2().equals("")) && (this.getApellido2().length() > 50)) {
				mensajes.add("apellido2", new ActionMessage("auxiliar.error.apellido2.grande"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getApellido2()) != null)
				mensajes.add("apellido2", new ActionMessage("error.caracteresespeciales"));
			
			// DNI
			if (this.getDni().equals("")) {
				mensajes.add("dni", new ActionMessage(
						"auxiliar.error.dni.vacio"));
			} else if ((this.getDni().length() != 9) || (!Validaciones.esDniValido(this.getDni()))) {
				mensajes.add("dni", new ActionMessage(
						"auxiliar.error.dni.formato"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getDni()) != null) {
				mensajes.add("dni", new ActionMessage("error.caracteresespeciales"));
			}
			// existe DNI
			List listaPersonas = personasDAO.findByDni(this.getDni());
			// encontrado persona con ese DNI
			if (listaPersonas.size() == 1) {
				Persona p = (Persona)listaPersonas.get(0);
				if ((this.getId_persona() != null) && (!this.getId_persona().equals("")))
				  if (Integer.parseInt(this.getId_persona()) != p.getId()) {
					mensajes.add("dni", new ActionMessage("PD.error.dni.repetido"));
				  }
			}
			//  telofono
			if (this.getTelefono() != null)
				if (this.getTelefono().length() > 50) {
					mensajes.add("telefono", new ActionMessage(
							"auxiliar.error.telefono.grande"));
				} else if ((!this.getTelefono().equals("")) && (!Validaciones.esTLFValido(this.getTelefono()))) {
					mensajes.add("telefono", new ActionMessage(
							"auxiliar.error.telefono.formato"));
				} else if (Validaciones.libreCaracteresEspeciales(this.getTelefono()) != null)
					mensajes.add("telefono", new ActionMessage("error.caracteresespeciales"));
			// enfermedad
			if (this.getCausa_baja().length() > 1024) {
				mensajes.add("causa_baja", new ActionMessage(
				"beneficiario.error.causa_baja.grande"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getCausa_baja()) != null)
				mensajes.add("causa_baja", new ActionMessage("error.caracteresespeciales"));
			// discapacidad
			if (!this.getDiscapacidad().equals("")) {
				if (!Validaciones.esNumerico(this.getDiscapacidad())) {
					mensajes.add("discapacidad",new ActionMessage(
								"PD.error.discapacidad.formato"));
				} else if (Integer.parseInt(this.getDiscapacidad()) > 100) {
					mensajes.add("discapacidad",new ActionMessage(
								"PD.error.discapacidad.numero"));
				}
			}
			// Fecha Nacimiento
			// fecha 
			if (!this.getFecha_nacimiento().equals("")) {
				// fecha valida
				if (!DatesToolbox.ComprobarFecha(this.getFecha_nacimiento())) {
					// debe introducir fecha correcta
					if (logs.isWarnEnabled()) logs.debug("Se debe introducir una fecha de nacimiento correcta");
					mensajes.add("fecha_nacimiento", new ActionMessage("servicio.nuevo.error.fecha_revision_sad.formato"));
				}
			}
			// Estado Civil
			if (this.getEstado_civil().length() > 50) {
				mensajes.add("estado_civil", new ActionMessage(
				"PD.error.estado_civil.grande"));
			} else if (Validaciones.libreCaracteresEspeciales(this.getEstado_civil()) != null)
				mensajes.add("estado_civil", new ActionMessage("error.caracteresespeciales"));
			
			if ((request.getParameter("id") == null) || (request.getParameter("id").toString().equals(""))) {
				if (this.getUsuarioPD().equals("")) {
					logs.warn("No existe nombre de usuario");
					mensajes.add("usuarioPD", new ActionMessage(
							"usuario.error.usuario.vacio"));
				} else if (this.getUsuarioPD().length() > 50) {
					logs.warn("El nombre de usuario es demasiado grande");
					mensajes.add("usuarioPD", new ActionMessage(
							"usuario.error.usuario.grande"));
				} else if (Validaciones.libreCaracteresEspeciales(this.getUsuarioPD()) != null) {
					logs.warn("Contiene caracteres especiales");
					mensajes.add("usuarioPD", new ActionMessage(
							"formulario.caracteres_especiales", Validaciones
									.libreCaracteresEspeciales(this.getUsuarioPD())));
				} else if (usuarioDAO.findByLogin(this.getUsuarioPD()).size() > 0) {
					List<Usuario> users = (List<Usuario>) usuarioDAO.findByLogin(this.getUsuarioPD());
					Iterator<Usuario> it = users.iterator();
					while (it.hasNext()) {
						Usuario elem = it.next();
						if ((elem.getLogin().equals(this.getUsuarioPD())) && 
								(!elem.getId().toString().equals(this.getId().toString())) && 
								(elem.getFecBaja() == null)) {
							logs.warn("El nombre de usuario ya existe");
							mensajes.add("usuarioPD", new ActionMessage("usuario.error.grabar.existe"));
						}
					}
				}
			}
			// Clave
			if ((this.getId() == null) || (this.getId() == "0")) {
				// Estamos introduciendo nuevo usuario
				if (this.getClavePD().equals("")) {
					logs.warn("No existe clave para el usuario");
					mensajes.add("clavePD", new ActionMessage(
							"usuario.error.clave.vacio"));
				} else if (this.getClavePD().length() > 50) {
					logs.warn("La clave del usuario es demasiado grande");
					mensajes.add("clavePD", new ActionMessage(
							"usuario.error.clave.grande"));
				} else if (Validaciones.libreCaracteresEspeciales(this.getClavePD()) != null) {
					logs.warn("Contiene caracteres especiales");
					mensajes.add("clavePD", new ActionMessage(
							"formulario.caracteres_especiales", Validaciones
									.libreCaracteresEspeciales(this.getClavePD())));
				} else if (this.getClavePD().length() < ConstantesProyecto.GLOBAL_MIN_LENGHT_KEY) {
					logs.warn("La clave es demasiado chica");
					mensajes.add("clavePD", new ActionMessage(
							"formulario.clave.chica",
							ConstantesProyecto.GLOBAL_MIN_LENGHT_KEY));
				} else if (this.getClavePD().length() > ConstantesProyecto.GLOBAL_MAX_LENGHT_KEY) {
					logs.warn("La clave es demasiado grande");
					mensajes.add("clavePD", new ActionMessage(
							"formulario.clave.grande",
							ConstantesProyecto.GLOBAL_MAX_LENGHT_KEY));
				}
				// Confirmamos clave comparandola con el campo clave2
				if (!this.getClavePD().equals(this.getClave2PD())) {
					logs.warn("Confirme la clave del usuario");
					mensajes.add("clavePD", new ActionMessage(
							"usuario.error.clave.noconfirmada"));
				}
			}
		}
		return mensajes;
	}

	/** 
	 * Method reset
	 * @param mapping
	 * @param request
	 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		
	}
	
	public void clean(ActionMapping mapping, HttpServletRequest request) {
		this.setApellido1("");
		this.setApellido2("");
		this.setCentro_de_salud("");
		this.setDireccion("");
		this.setDni("");
		this.setId(null);
		this.setId_persona(null);
		this.setMedico_de_cabecera("");
		this.setNombre("");
		this.setObservaciones("");
		this.setTelefono("");
		this.setCausa_baja("");
		this.setDiscapacidad("");
		this.setEstado_civil("");
		this.setEmail("");
		this.setLocalidad("");
		this.setSexo("");
		this.setPuede_firmar("false");
		this.setFecha_nacimiento(null);
		this.setUsuarioPD("");
		this.setClavePD("");
		this.setClave2PD("");
	}

	/**
	 * @return the idServicio
	 */
	public String getIdServicio() {
		return idServicio;
	}

	/**
	 * @param idServicio the idServicio to set
	 */
	public void setIdServicio(String idServicio) {
		this.idServicio = idServicio;
	}

	public String getFecha_nacimiento() {
		return fecha_nacimiento;
	}

	public void setFecha_nacimiento(String fecha_nacimiento) {
		this.fecha_nacimiento = fecha_nacimiento;
	}

	public String getUsuarioPD() {
		return usuarioPD;
	}

	public void setUsuarioPD(String usuario) {
		this.usuarioPD = usuario;
	}

	public String getClavePD() {
		return clavePD;
	}

	public void setClavePD(String clave) {
		this.clavePD = clave;
	}

	public String getClave2PD() {
		return clave2PD;
	}

	public void setClave2PD(String clave2) {
		this.clave2PD = clave2;
	}

	public String getNombreAsociacion() {
		return nombreAsociacion;
	}

	public void setNombreAsociacion(String nombreAsociacion) {
		this.nombreAsociacion = nombreAsociacion;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

}