package hibernate;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * AbstractCuestionarioEstadoFamiliar entity provides the base persistence
 * definition of the CuestionarioEstadoFamiliar entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractCuestionarioEstadoFamiliar implements
		java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Date fecAlta;
	private Date fecBaja;
	private Set respuestaEstadoFamiliars = new HashSet(0);
	private Set personaDependientes = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractCuestionarioEstadoFamiliar() {
	}

	/** minimal constructor */
	public AbstractCuestionarioEstadoFamiliar(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractCuestionarioEstadoFamiliar(Integer id, String descripcion,
			Date fecAlta, Date fecBaja, Set respuestaEstadoFamiliars,
			Set personaDependientes) {
		this.id = id;
		this.descripcion = descripcion;
		this.fecAlta = fecAlta;
		this.fecBaja = fecBaja;
		this.respuestaEstadoFamiliars = respuestaEstadoFamiliars;
		this.personaDependientes = personaDependientes;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Date getFecAlta() {
		return this.fecAlta;
	}

	public void setFecAlta(Date fecAlta) {
		this.fecAlta = fecAlta;
	}

	public Date getFecBaja() {
		return this.fecBaja;
	}

	public void setFecBaja(Date fecBaja) {
		this.fecBaja = fecBaja;
	}

	public Set getRespuestaEstadoFamiliars() {
		return this.respuestaEstadoFamiliars;
	}

	public void setRespuestaEstadoFamiliars(Set respuestaEstadoFamiliars) {
		this.respuestaEstadoFamiliars = respuestaEstadoFamiliars;
	}

	public Set getPersonaDependientes() {
		return this.personaDependientes;
	}

	public void setPersonaDependientes(Set personaDependientes) {
		this.personaDependientes = personaDependientes;
	}

}