package hibernate;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * AbstractPerfil entity provides the base persistence definition of the Perfil
 * entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractPerfil implements java.io.Serializable {

	// Fields

	private Integer id;
	private String nombre;
	private String descripcion;
	private Date fecAlta;
	private Date fecBaja;
	private Set usuarioPerfils = new HashSet(0);
	private Set usuarios = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractPerfil() {
	}

	/** minimal constructor */
	public AbstractPerfil(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractPerfil(Integer id, String nombre, String descripcion,
			Date fecAlta, Date fecBaja, Set usuarioPerfils, Set usuarios) {
		this.id = id;
		this.nombre = nombre;
		this.descripcion = descripcion;
		this.fecAlta = fecAlta;
		this.fecBaja = fecBaja;
		this.usuarioPerfils = usuarioPerfils;
		this.usuarios = usuarios;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Date getFecAlta() {
		return this.fecAlta;
	}

	public void setFecAlta(Date fecAlta) {
		this.fecAlta = fecAlta;
	}

	public Date getFecBaja() {
		return this.fecBaja;
	}

	public void setFecBaja(Date fecBaja) {
		this.fecBaja = fecBaja;
	}

	public Set getUsuarioPerfils() {
		return this.usuarioPerfils;
	}

	public void setUsuarioPerfils(Set usuarioPerfils) {
		this.usuarioPerfils = usuarioPerfils;
	}

	public Set getUsuarios() {
		return this.usuarios;
	}

	public void setUsuarios(Set usuarios) {
		this.usuarios = usuarios;
	}

}