package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractPreguntaEstadoFamiliar entity provides the base persistence
 * definition of the PreguntaEstadoFamiliar entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractPreguntaEstadoFamiliar implements
		java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Set respuestaEstadoFamiliars = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractPreguntaEstadoFamiliar() {
	}

	/** minimal constructor */
	public AbstractPreguntaEstadoFamiliar(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractPreguntaEstadoFamiliar(Integer id, String descripcion,
			Set respuestaEstadoFamiliars) {
		this.id = id;
		this.descripcion = descripcion;
		this.respuestaEstadoFamiliars = respuestaEstadoFamiliars;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set getRespuestaEstadoFamiliars() {
		return this.respuestaEstadoFamiliars;
	}

	public void setRespuestaEstadoFamiliars(Set respuestaEstadoFamiliars) {
		this.respuestaEstadoFamiliars = respuestaEstadoFamiliars;
	}

}