package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractPreguntaEstadoFisico entity provides the base persistence definition
 * of the PreguntaEstadoFisico entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractPreguntaEstadoFisico implements
		java.io.Serializable {

	// Fields

	private Integer id;
	private String descripcion;
	private Set respuestaEstadoFisicos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractPreguntaEstadoFisico() {
	}

	/** minimal constructor */
	public AbstractPreguntaEstadoFisico(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractPreguntaEstadoFisico(Integer id, String descripcion,
			Set respuestaEstadoFisicos) {
		this.id = id;
		this.descripcion = descripcion;
		this.respuestaEstadoFisicos = respuestaEstadoFisicos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Set getRespuestaEstadoFisicos() {
		return this.respuestaEstadoFisicos;
	}

	public void setRespuestaEstadoFisicos(Set respuestaEstadoFisicos) {
		this.respuestaEstadoFisicos = respuestaEstadoFisicos;
	}

}