package hibernate;

import java.util.HashSet;
import java.util.Set;

/**
 * AbstractServicio entity provides the base persistence definition of the
 * Servicio entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractServicio implements java.io.Serializable {

	// Fields

	private Integer id;
	private Hora horaByHoraInicio;
	private Auxiliar auxiliar;
	private Dia dia;
	private PersonaDependiente personaDependiente;
	private TipoEvento tipoEvento;
	private Hora horaByHoraFin;
	private SubtipoEvento subtipoEvento;
	private String notas;
	private Set eventos = new HashSet(0);

	// Constructors

	/** default constructor */
	public AbstractServicio() {
	}

	/** minimal constructor */
	public AbstractServicio(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public AbstractServicio(Integer id, Hora horaByHoraInicio,
			Auxiliar auxiliar, Dia dia, PersonaDependiente personaDependiente,
			TipoEvento tipoEvento, Hora horaByHoraFin,
			SubtipoEvento subtipoEvento, String notas, Set eventos) {
		this.id = id;
		this.horaByHoraInicio = horaByHoraInicio;
		this.auxiliar = auxiliar;
		this.dia = dia;
		this.personaDependiente = personaDependiente;
		this.tipoEvento = tipoEvento;
		this.horaByHoraFin = horaByHoraFin;
		this.subtipoEvento = subtipoEvento;
		this.notas = notas;
		this.eventos = eventos;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Hora getHoraByHoraInicio() {
		return this.horaByHoraInicio;
	}

	public void setHoraByHoraInicio(Hora horaByHoraInicio) {
		this.horaByHoraInicio = horaByHoraInicio;
	}

	public Auxiliar getAuxiliar() {
		return this.auxiliar;
	}

	public void setAuxiliar(Auxiliar auxiliar) {
		this.auxiliar = auxiliar;
	}

	public Dia getDia() {
		return this.dia;
	}

	public void setDia(Dia dia) {
		this.dia = dia;
	}

	public PersonaDependiente getPersonaDependiente() {
		return this.personaDependiente;
	}

	public void setPersonaDependiente(PersonaDependiente personaDependiente) {
		this.personaDependiente = personaDependiente;
	}

	public TipoEvento getTipoEvento() {
		return this.tipoEvento;
	}

	public void setTipoEvento(TipoEvento tipoEvento) {
		this.tipoEvento = tipoEvento;
	}

	public Hora getHoraByHoraFin() {
		return this.horaByHoraFin;
	}

	public void setHoraByHoraFin(Hora horaByHoraFin) {
		this.horaByHoraFin = horaByHoraFin;
	}

	public SubtipoEvento getSubtipoEvento() {
		return this.subtipoEvento;
	}

	public void setSubtipoEvento(SubtipoEvento subtipoEvento) {
		this.subtipoEvento = subtipoEvento;
	}

	public String getNotas() {
		return this.notas;
	}

	public void setNotas(String notas) {
		this.notas = notas;
	}

	public Set getEventos() {
		return this.eventos;
	}

	public void setEventos(Set eventos) {
		this.eventos = eventos;
	}

}