package hibernate;

/**
 * AbstractUsuarioPerfilId entity provides the base persistence definition of
 * the UsuarioPerfilId entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractUsuarioPerfilId implements java.io.Serializable {

	// Fields

	private Usuario usuario;
	private Perfil perfil;

	// Constructors

	/** default constructor */
	public AbstractUsuarioPerfilId() {
	}

	/** full constructor */
	public AbstractUsuarioPerfilId(Usuario usuario, Perfil perfil) {
		this.usuario = usuario;
		this.perfil = perfil;
	}

	// Property accessors

	public Usuario getUsuario() {
		return this.usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	public Perfil getPerfil() {
		return this.perfil;
	}

	public void setPerfil(Perfil perfil) {
		this.perfil = perfil;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof AbstractUsuarioPerfilId))
			return false;
		AbstractUsuarioPerfilId castOther = (AbstractUsuarioPerfilId) other;

		return ((this.getUsuario() == castOther.getUsuario()) || (this
				.getUsuario() != null
				&& castOther.getUsuario() != null && this.getUsuario().equals(
				castOther.getUsuario())))
				&& ((this.getPerfil() == castOther.getPerfil()) || (this
						.getPerfil() != null
						&& castOther.getPerfil() != null && this.getPerfil()
						.equals(castOther.getPerfil())));
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result
				+ (getUsuario() == null ? 0 : this.getUsuario().hashCode());
		result = 37 * result
				+ (getPerfil() == null ? 0 : this.getPerfil().hashCode());
		return result;
	}

}