package hibernate;

import java.util.Date;

/**
 * AbstractVistaPd entity provides the base persistence definition of the
 * VistaPd entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractVistaPd implements java.io.Serializable {

	// Fields

	private VistaPdId id;
	private Integer idAsociacion;
	private Integer idAuxiliar;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private Date fecBaja;
	private String nombre_apellidos;
	
	// Constructors


	public Integer getIdAsociacion() {
		return idAsociacion;
	}

	public void setIdAsociacion(Integer idAsociacion) {
		this.idAsociacion = idAsociacion;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellido1() {
		return apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public Date getFecBaja() {
		return fecBaja;
	}

	public void setFecBaja(Date fecBaja) {
		this.fecBaja = fecBaja;
	}

	/** default constructor */
	public AbstractVistaPd() {
	}

	/** full constructor */
	public AbstractVistaPd(VistaPdId id) {
		this.id = id;
	}

	// Property accessors

	public VistaPdId getId() {
		return this.id;
	}

	public void setId(VistaPdId id) {
		this.id = id;
	}

	public Integer getIdAuxiliar() {
		return idAuxiliar;
	}

	public void setIdAuxiliar(Integer idAuxiliar) {
		this.idAuxiliar = idAuxiliar;
	}
	
	public String getNombre_apellidos() {
		if ((this.getApellido2() == null) || (this.getApellido2().equals("")))
			return this.getNombre() + " " + this.getApellido1();
		else
			return this.getNombre() + " " + this.getApellido1() + " " + this.getApellido2() ;
	}

	public void setNombre_apellidos(String nombre_apellidos) {
		this.nombre_apellidos = nombre_apellidos;
	}

}