package hibernate;

/**
 * AbstractVistaServicio entity provides the base persistence definition of the
 * VistaServicio entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractVistaServicio implements java.io.Serializable {

	// Fields

	private VistaServicioId id;
	private Integer dia;
	private Integer horaInicio;
	private Integer horaFin;
	private Integer idTipoevento;
	private String tipoevento;
	private Integer idSubtipoEvento;
	private String subtipoevento;
	private String notas;
	private Integer idAsociacion;
	private String nombrevoluntario;
	private String apellido1voluntario;
	private String apellido2voluntario;
	private String nombrepd;
	private String apellido1pd;
	private String apellido2pd;
	private String direccionpd;
	private String telefonopd;
	private String inicio;
	private String fin;
	private String descripcion;
	private String nombre_apellidos_voluntario;
	private String nombre_apellidos_pd;

	
	// Constructors

	public String getFin() {
		return fin;
	}

	public void setFin(String fin) {
		this.fin = fin;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public Integer getDia() {
		return dia;
	}

	public void setDia(Integer dia) {
		this.dia = dia;
	}

	public Integer getHoraInicio() {
		return horaInicio;
	}

	public void setHoraInicio(Integer horaInicio) {
		this.horaInicio = horaInicio;
	}

	public Integer getHoraFin() {
		return horaFin;
	}

	public void setHoraFin(Integer horaFin) {
		this.horaFin = horaFin;
	}

	public Integer getIdTipoevento() {
		return idTipoevento;
	}

	public void setIdTipoevento(Integer idTipoevento) {
		this.idTipoevento = idTipoevento;
	}

	public String getTipoevento() {
		return tipoevento;
	}

	public void setTipoevento(String tipoevento) {
		this.tipoevento = tipoevento;
	}

	public Integer getIdSubtipoEvento() {
		return idSubtipoEvento;
	}

	public void setIdSubtipoEvento(Integer idSubtipoEvento) {
		this.idSubtipoEvento = idSubtipoEvento;
	}

	public String getSubtipoevento() {
		return subtipoevento;
	}

	public void setSubtipoevento(String subtipoevento) {
		this.subtipoevento = subtipoevento;
	}

	public String getNotas() {
		return notas;
	}

	public void setNotas(String notas) {
		this.notas = notas;
	}

	public Integer getIdAsociacion() {
		return idAsociacion;
	}

	public void setIdAsociacion(Integer idAsociacion) {
		this.idAsociacion = idAsociacion;
	}

	public String getNombrevoluntario() {
		return nombrevoluntario;
	}

	public void setNombrevoluntario(String nombrevoluntario) {
		this.nombrevoluntario = nombrevoluntario;
	}

	public String getApellido1voluntario() {
		return apellido1voluntario;
	}

	public void setApellido1voluntario(String apellido1voluntario) {
		this.apellido1voluntario = apellido1voluntario;
	}

	public String getApellido2voluntario() {
		return apellido2voluntario;
	}

	public void setApellido2voluntario(String apellido2voluntario) {
		this.apellido2voluntario = apellido2voluntario;
	}

	public String getNombrepd() {
		return nombrepd;
	}

	public void setNombrepd(String nombrepd) {
		this.nombrepd = nombrepd;
	}

	public String getApellido1pd() {
		return apellido1pd;
	}

	public void setApellido1pd(String apellido1pd) {
		this.apellido1pd = apellido1pd;
	}

	public String getApellido2pd() {
		return apellido2pd;
	}

	public void setApellido2pd(String apellido2pd) {
		this.apellido2pd = apellido2pd;
	}

	public String getDireccionpd() {
		return direccionpd;
	}

	public void setDireccionpd(String direccionpd) {
		this.direccionpd = direccionpd;
	}

	public String getTelefonopd() {
		return telefonopd;
	}

	public void setTelefonopd(String telefonopd) {
		this.telefonopd = telefonopd;
	}

	public String getInicio() {
		return inicio;
	}

	public void setInicio(String inicio) {
		this.inicio = inicio;
	}

	/** default constructor */
	public AbstractVistaServicio() {
	}

	/** full constructor */
	public AbstractVistaServicio(VistaServicioId id) {
		this.id = id;
	}

	// Property accessors

	public VistaServicioId getId() {
		return this.id;
	}

	public void setId(VistaServicioId id) {
		this.id = id;
	}

	public String getNombre_apellidos_voluntario() {
		if ((this.getApellido2voluntario() == null) || (this.getApellido2voluntario().equals("")))
			return this.getNombrevoluntario() + " " + this.getApellido1voluntario();
		else
			return this.getNombrevoluntario() + " " + this.getApellido1voluntario() + " " + this.getApellido2voluntario() ;
	}

	public void setNombre_apellidos_voluntario(String nombre_apellidos_voluntario) {
		this.nombre_apellidos_voluntario = nombre_apellidos_voluntario;
	}

	public String getNombre_apellidos_pd() {
		if ((this.getApellido2pd() == null) || (this.getApellido2pd().equals("")))
			return this.getNombrepd() + " " + this.getApellido1pd();
		else
			return this.getNombrepd() + " " + this.getApellido1pd() + " " + this.getApellido2pd() ;	
	}

	public void setNombre_apellidos_pd(String nombre_apellidos_pd) {
		this.nombre_apellidos_pd = nombre_apellidos_pd;
	}

	
}