package hibernate;

import java.util.Date;

/**
 * AbstractVistaVoluntarios entity provides the base persistence definition of
 * the VistaVoluntarios entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public abstract class AbstractVistaVoluntarios implements java.io.Serializable {

	// Fields

	private VistaVoluntariosId id;
	private Integer idAsociacion;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private Date fecBajaUsuario;
	private String login;
	
	// Constructors

	/** default constructor */
	public AbstractVistaVoluntarios() {
	}

	/** full constructor */
	public AbstractVistaVoluntarios(VistaVoluntariosId id) {
		this.id = id;
	}

	// Property accessors

	public VistaVoluntariosId getId() {
		return this.id;
	}

	public void setId(VistaVoluntariosId id) {
		this.id = id;
	}

	public Integer getIdAsociacion() {
		return idAsociacion;
	}

	public void setIdAsociacion(Integer idAsociacion) {
		this.idAsociacion = idAsociacion;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getApellido1() {
		return apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public Date getFecBajaUsuario() {
		return fecBajaUsuario;
	}

	public void setFecBajaUsuario(Date fecBajaUsuario) {
		this.fecBajaUsuario = fecBajaUsuario;
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

}