
package util;

import java.util.ArrayList;
import java.util.List;

public class CorreoEnvio {

	private String email_from="";
	
	private List email_to= new ArrayList();
	private String cabecera="";
	private String asunto="";
	private String contenido="";
	private String pie_pagina="";
	private String strSmtpHost="";
	private String strSmtpPort="";
	private String strPOP3Port="";
	private String strPass="";
	private String strPOP3Host="";
	private String strUser="";
	private String strBusquedaAsuntoEmail="";
	private String strBusquedaContenidoEmail="";
	private String nameFileAdjunto="";
		
	
	public CorreoEnvio(String email_from, String email_to, String cabecera,
			String asunto, String contenido, String pie_pagina,
			String strSmtpHost, String strSmtpPort, String strPass) {
		super();
		this.email_from = email_from;
		this.email_to.add(email_to);
		this.cabecera = cabecera;
		this.asunto = asunto;
		this.contenido = contenido;
		this.pie_pagina = pie_pagina;
		this.strSmtpHost = strSmtpHost;
		this.strSmtpPort = strSmtpPort;
		this.strPass = strPass;
		this.strPOP3Port="";
		this.strPOP3Host= "";
		this.strUser = email_from;
	}
	
	public CorreoEnvio(String email_from, List email_to, String cabecera,
			String asunto, String contenido, String pie_pagina,
			String strSmtpHost, String strSmtpPort, String strPass) {
		super();
		this.email_from = email_from;
		this.email_to= email_to;
		this.cabecera = cabecera;
		this.asunto = asunto;
		this.contenido = contenido;
		this.pie_pagina = pie_pagina;
		this.strSmtpHost = strSmtpHost;
		this.strSmtpPort = strSmtpPort;
		this.strPass = strPass;
		this.strPOP3Port="";
		this.strPOP3Host= "";
		this.strUser = email_from;
	}
	

	public CorreoEnvio(String email_from, String email_to, String cabecera,
			String asunto,String contenido,String pie_pagina) {
		super();
		this.email_from = email_from;
		this.email_to.add(email_to);
		this.cabecera = cabecera;
		this.asunto = asunto;		
		this.contenido = contenido;
		this.pie_pagina= pie_pagina;
	}
   
	
	
	public CorreoEnvio() {
		// TODO Auto-generated constructor stub
	}

	

	public String getEmail_from() {
		return email_from;
	}




	public void setEmail_from(String email_from) {
		this.email_from = email_from;
	}




	public List getEmail_to() {
		return email_to;
	}




	public void setEmail_to(String email_to) {
		this.email_to.add(email_to);
	}




	public String getCabecera() {
		return cabecera;
	}




	public void setCabecera(String cabecera) {
		this.cabecera = cabecera;
	}




	public String getPie_pagina() {
		return pie_pagina;
	}




	public void setPie_pagina(String pie) {
		this.pie_pagina = pie;
	}



	public String getAsunto() {
		return asunto;
	}




	public void setAsunto(String asunto) {
		this.asunto = asunto;
	}

	/**
	 * @return the contenido
	 */
	public String getContenido() {
		return contenido;
	}

	/**
	 * @param contenido the contenido to set
	 */
	public void setContenido(String contenido) {
		this.contenido = contenido;
	}

	/**
	 * @return the strSmtpHost
	 */
	public String getStrSmtpHost() {
		return strSmtpHost;
	}

	/**
	 * @param strSmtpHost the strSmtpHost to set
	 */
	public void setStrSmtpHost(String strSmtpHost) {
		this.strSmtpHost = strSmtpHost;
	}

	/**
	 * @return the strSmtpPort
	 */
	public String getStrSmtpPort() {
		return strSmtpPort;
	}

	/**
	 * @param strSmtpPort the strSmtpPort to set
	 */
	public void setStrSmtpPort(String strSmtpPort) {
		this.strSmtpPort = strSmtpPort;
	}

	
	/**
	 * @return the strPass
	 */
	public String getStrPass() {
		return strPass;
	}

	/**
	 * @param strPass the strPass to set
	 */
	public void setStrPass(String strPass) {
		this.strPass = strPass;
	}



	/**
	 * @return the strPOP3Port
	 */
	public String getStrPOP3Port() {
		return strPOP3Port;
	}



	/**
	 * @param strPOP3Port the strPOP3Port to set
	 */
	public void setStrPOP3Port(String strPOP3Port) {
		this.strPOP3Port = strPOP3Port;
	}



	/**
	 * @return the strPOP3Host
	 */
	public String getStrPOP3Host() {
		return strPOP3Host;
	}



	/**
	 * @param strPOP3Host the strPOP3Host to set
	 */
	public void setStrPOP3Host(String strPOP3Host) {
		this.strPOP3Host = strPOP3Host;
	}


	/**
	 * @return the strCadenaBusquedaAsuntoEmail
	 */
	public String getStrBusquedaAsuntoEmail() {
		return strBusquedaAsuntoEmail;
	}


	/**
	 * @param strCadenaBusquedaAsuntoEmail the strCadenaBusquedaAsuntoEmail to set
	 */
	public void setStrBusquedaAsuntoEmail(String strBusquedaAsuntoEmail) {
		this.strBusquedaAsuntoEmail = strBusquedaAsuntoEmail;
	}


	/**
	 * @return the strCadenaBusquedaContenidoEmail
	 */
	public String getStrBusquedaContenidoEmail() {
		return strBusquedaContenidoEmail;
	}


	/**
	 * @param strCadenaBusquedaContenidoEmail the strCadenaBusquedaContenidoEmail to set
	 */
	public void setStrBusquedaContenidoEmail(
			String strBusquedaContenidoEmail) {
		this.strBusquedaContenidoEmail = strBusquedaContenidoEmail;
	}


	/**
	 * @return the strUser
	 */
	public String getStrUser() {
		return strUser;
	}


	/**
	 * @param strUser the strUser to set
	 */
	public void setStrUser(String strUser) {
		this.strUser = strUser;
	}


	/**
	 * @return the nameFileAdjunto
	 */
	public String getNameFileAdjunto() {
		return nameFileAdjunto;
	}


	/**
	 * @param nameFileAdjunto the nameFileAdjunto to set
	 */
	public void setNameFileAdjunto(String nameFileAdjunto) {
		this.nameFileAdjunto = nameFileAdjunto;
	}


	/**
	 * @param email_to the email_to to set
	 */
	public void setEmail_to(List email_to) {
		this.email_to = email_to;
	}

}
