package util;


import java.util.HashMap;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.Session;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.JasperRunManager;
import net.sf.jasperreports.engine.util.JRLoader;

public class GenerarInforme {
    
	private static final Log logs = LogFactory.getLog(GenerarInforme.class);
	
	
	public GenerarInforme(){}


	public static byte[] GenerarInformePDF(String fileName , String strTitle, Session sesion, HashMap parameters){
		
		try {			
			  if (fileName!=""){
	
				  JasperReport jasperReport = (JasperReport)JRLoader.loadObject(fileName); 
				  byte[] fichero = JasperRunManager.runReportToPdf(jasperReport,  parameters, sesion.connection());				  
				  
			      return fichero;
			  }
		} catch (JRException e) {		
			 e.printStackTrace();
		} catch (Exception e) {
			 e.printStackTrace();
		} finally {
			sesion.close();
		}
 
		return null;
	}
}
